// Vanilla Data for Minecraft Bedrock Edition script APIs
// Project: https://docs.microsoft.com/minecraft/creator/
// Definitions by: Jake Shirley <https://github.com/JakeShirley>
//                 Mike Ammerlaan <https://github.com/mammerla>
//                 Raphael Landaverde <https://github.com/rlandav>
/* *****************************************************************************
   Copyright (c) Microsoft Corporation.
   ***************************************************************************** */
/**
 * All possible MinecraftBlockTypes
 */
export var MinecraftBlockTypes;
(function (MinecraftBlockTypes) {
    MinecraftBlockTypes["AcaciaButton"] = "minecraft:acacia_button";
    MinecraftBlockTypes["AcaciaDoor"] = "minecraft:acacia_door";
    MinecraftBlockTypes["AcaciaFence"] = "minecraft:acacia_fence";
    MinecraftBlockTypes["AcaciaFenceGate"] = "minecraft:acacia_fence_gate";
    MinecraftBlockTypes["AcaciaHangingSign"] = "minecraft:acacia_hanging_sign";
    MinecraftBlockTypes["AcaciaLog"] = "minecraft:acacia_log";
    MinecraftBlockTypes["AcaciaPressurePlate"] = "minecraft:acacia_pressure_plate";
    MinecraftBlockTypes["AcaciaStairs"] = "minecraft:acacia_stairs";
    MinecraftBlockTypes["AcaciaStandingSign"] = "minecraft:acacia_standing_sign";
    MinecraftBlockTypes["AcaciaTrapdoor"] = "minecraft:acacia_trapdoor";
    MinecraftBlockTypes["AcaciaWallSign"] = "minecraft:acacia_wall_sign";
    MinecraftBlockTypes["ActivatorRail"] = "minecraft:activator_rail";
    MinecraftBlockTypes["Air"] = "minecraft:air";
    MinecraftBlockTypes["Allow"] = "minecraft:allow";
    MinecraftBlockTypes["AmethystBlock"] = "minecraft:amethyst_block";
    MinecraftBlockTypes["AmethystCluster"] = "minecraft:amethyst_cluster";
    MinecraftBlockTypes["AncientDebris"] = "minecraft:ancient_debris";
    MinecraftBlockTypes["AndesiteStairs"] = "minecraft:andesite_stairs";
    MinecraftBlockTypes["Anvil"] = "minecraft:anvil";
    MinecraftBlockTypes["Azalea"] = "minecraft:azalea";
    MinecraftBlockTypes["AzaleaLeaves"] = "minecraft:azalea_leaves";
    MinecraftBlockTypes["AzaleaLeavesFlowered"] = "minecraft:azalea_leaves_flowered";
    MinecraftBlockTypes["Bamboo"] = "minecraft:bamboo";
    MinecraftBlockTypes["BambooBlock"] = "minecraft:bamboo_block";
    MinecraftBlockTypes["BambooButton"] = "minecraft:bamboo_button";
    MinecraftBlockTypes["BambooDoor"] = "minecraft:bamboo_door";
    MinecraftBlockTypes["BambooDoubleSlab"] = "minecraft:bamboo_double_slab";
    MinecraftBlockTypes["BambooFence"] = "minecraft:bamboo_fence";
    MinecraftBlockTypes["BambooFenceGate"] = "minecraft:bamboo_fence_gate";
    MinecraftBlockTypes["BambooHangingSign"] = "minecraft:bamboo_hanging_sign";
    MinecraftBlockTypes["BambooMosaic"] = "minecraft:bamboo_mosaic";
    MinecraftBlockTypes["BambooMosaicDoubleSlab"] = "minecraft:bamboo_mosaic_double_slab";
    MinecraftBlockTypes["BambooMosaicSlab"] = "minecraft:bamboo_mosaic_slab";
    MinecraftBlockTypes["BambooMosaicStairs"] = "minecraft:bamboo_mosaic_stairs";
    MinecraftBlockTypes["BambooPlanks"] = "minecraft:bamboo_planks";
    MinecraftBlockTypes["BambooPressurePlate"] = "minecraft:bamboo_pressure_plate";
    MinecraftBlockTypes["BambooSapling"] = "minecraft:bamboo_sapling";
    MinecraftBlockTypes["BambooSlab"] = "minecraft:bamboo_slab";
    MinecraftBlockTypes["BambooStairs"] = "minecraft:bamboo_stairs";
    MinecraftBlockTypes["BambooStandingSign"] = "minecraft:bamboo_standing_sign";
    MinecraftBlockTypes["BambooTrapdoor"] = "minecraft:bamboo_trapdoor";
    MinecraftBlockTypes["BambooWallSign"] = "minecraft:bamboo_wall_sign";
    MinecraftBlockTypes["Barrel"] = "minecraft:barrel";
    MinecraftBlockTypes["Barrier"] = "minecraft:barrier";
    MinecraftBlockTypes["Basalt"] = "minecraft:basalt";
    MinecraftBlockTypes["Beacon"] = "minecraft:beacon";
    MinecraftBlockTypes["Bed"] = "minecraft:bed";
    MinecraftBlockTypes["Bedrock"] = "minecraft:bedrock";
    MinecraftBlockTypes["BeeNest"] = "minecraft:bee_nest";
    MinecraftBlockTypes["Beehive"] = "minecraft:beehive";
    MinecraftBlockTypes["Beetroot"] = "minecraft:beetroot";
    MinecraftBlockTypes["Bell"] = "minecraft:bell";
    MinecraftBlockTypes["BigDripleaf"] = "minecraft:big_dripleaf";
    MinecraftBlockTypes["BirchButton"] = "minecraft:birch_button";
    MinecraftBlockTypes["BirchDoor"] = "minecraft:birch_door";
    MinecraftBlockTypes["BirchFence"] = "minecraft:birch_fence";
    MinecraftBlockTypes["BirchFenceGate"] = "minecraft:birch_fence_gate";
    MinecraftBlockTypes["BirchHangingSign"] = "minecraft:birch_hanging_sign";
    MinecraftBlockTypes["BirchLog"] = "minecraft:birch_log";
    MinecraftBlockTypes["BirchPressurePlate"] = "minecraft:birch_pressure_plate";
    MinecraftBlockTypes["BirchStairs"] = "minecraft:birch_stairs";
    MinecraftBlockTypes["BirchStandingSign"] = "minecraft:birch_standing_sign";
    MinecraftBlockTypes["BirchTrapdoor"] = "minecraft:birch_trapdoor";
    MinecraftBlockTypes["BirchWallSign"] = "minecraft:birch_wall_sign";
    MinecraftBlockTypes["BlackCandle"] = "minecraft:black_candle";
    MinecraftBlockTypes["BlackCandleCake"] = "minecraft:black_candle_cake";
    MinecraftBlockTypes["BlackCarpet"] = "minecraft:black_carpet";
    MinecraftBlockTypes["BlackGlazedTerracotta"] = "minecraft:black_glazed_terracotta";
    MinecraftBlockTypes["BlackShulkerBox"] = "minecraft:black_shulker_box";
    MinecraftBlockTypes["BlackWool"] = "minecraft:black_wool";
    MinecraftBlockTypes["Blackstone"] = "minecraft:blackstone";
    MinecraftBlockTypes["BlackstoneDoubleSlab"] = "minecraft:blackstone_double_slab";
    MinecraftBlockTypes["BlackstoneSlab"] = "minecraft:blackstone_slab";
    MinecraftBlockTypes["BlackstoneStairs"] = "minecraft:blackstone_stairs";
    MinecraftBlockTypes["BlackstoneWall"] = "minecraft:blackstone_wall";
    MinecraftBlockTypes["BlastFurnace"] = "minecraft:blast_furnace";
    MinecraftBlockTypes["BlueCandle"] = "minecraft:blue_candle";
    MinecraftBlockTypes["BlueCandleCake"] = "minecraft:blue_candle_cake";
    MinecraftBlockTypes["BlueCarpet"] = "minecraft:blue_carpet";
    MinecraftBlockTypes["BlueGlazedTerracotta"] = "minecraft:blue_glazed_terracotta";
    MinecraftBlockTypes["BlueIce"] = "minecraft:blue_ice";
    MinecraftBlockTypes["BlueShulkerBox"] = "minecraft:blue_shulker_box";
    MinecraftBlockTypes["BlueWool"] = "minecraft:blue_wool";
    MinecraftBlockTypes["BoneBlock"] = "minecraft:bone_block";
    MinecraftBlockTypes["Bookshelf"] = "minecraft:bookshelf";
    MinecraftBlockTypes["BorderBlock"] = "minecraft:border_block";
    MinecraftBlockTypes["BrainCoral"] = "minecraft:brain_coral";
    MinecraftBlockTypes["BrewingStand"] = "minecraft:brewing_stand";
    MinecraftBlockTypes["BrickBlock"] = "minecraft:brick_block";
    MinecraftBlockTypes["BrickStairs"] = "minecraft:brick_stairs";
    MinecraftBlockTypes["BrownCandle"] = "minecraft:brown_candle";
    MinecraftBlockTypes["BrownCandleCake"] = "minecraft:brown_candle_cake";
    MinecraftBlockTypes["BrownCarpet"] = "minecraft:brown_carpet";
    MinecraftBlockTypes["BrownGlazedTerracotta"] = "minecraft:brown_glazed_terracotta";
    MinecraftBlockTypes["BrownMushroom"] = "minecraft:brown_mushroom";
    MinecraftBlockTypes["BrownMushroomBlock"] = "minecraft:brown_mushroom_block";
    MinecraftBlockTypes["BrownShulkerBox"] = "minecraft:brown_shulker_box";
    MinecraftBlockTypes["BrownWool"] = "minecraft:brown_wool";
    MinecraftBlockTypes["BubbleColumn"] = "minecraft:bubble_column";
    MinecraftBlockTypes["BubbleCoral"] = "minecraft:bubble_coral";
    MinecraftBlockTypes["BuddingAmethyst"] = "minecraft:budding_amethyst";
    MinecraftBlockTypes["Cactus"] = "minecraft:cactus";
    MinecraftBlockTypes["Cake"] = "minecraft:cake";
    MinecraftBlockTypes["Calcite"] = "minecraft:calcite";
    MinecraftBlockTypes["CalibratedSculkSensor"] = "minecraft:calibrated_sculk_sensor";
    MinecraftBlockTypes["Camera"] = "minecraft:camera";
    MinecraftBlockTypes["Campfire"] = "minecraft:campfire";
    MinecraftBlockTypes["Candle"] = "minecraft:candle";
    MinecraftBlockTypes["CandleCake"] = "minecraft:candle_cake";
    MinecraftBlockTypes["Carrots"] = "minecraft:carrots";
    MinecraftBlockTypes["CartographyTable"] = "minecraft:cartography_table";
    MinecraftBlockTypes["CarvedPumpkin"] = "minecraft:carved_pumpkin";
    MinecraftBlockTypes["Cauldron"] = "minecraft:cauldron";
    MinecraftBlockTypes["CaveVines"] = "minecraft:cave_vines";
    MinecraftBlockTypes["CaveVinesBodyWithBerries"] = "minecraft:cave_vines_body_with_berries";
    MinecraftBlockTypes["CaveVinesHeadWithBerries"] = "minecraft:cave_vines_head_with_berries";
    MinecraftBlockTypes["Chain"] = "minecraft:chain";
    MinecraftBlockTypes["ChainCommandBlock"] = "minecraft:chain_command_block";
    MinecraftBlockTypes["ChemicalHeat"] = "minecraft:chemical_heat";
    MinecraftBlockTypes["ChemistryTable"] = "minecraft:chemistry_table";
    MinecraftBlockTypes["CherryButton"] = "minecraft:cherry_button";
    MinecraftBlockTypes["CherryDoor"] = "minecraft:cherry_door";
    MinecraftBlockTypes["CherryDoubleSlab"] = "minecraft:cherry_double_slab";
    MinecraftBlockTypes["CherryFence"] = "minecraft:cherry_fence";
    MinecraftBlockTypes["CherryFenceGate"] = "minecraft:cherry_fence_gate";
    MinecraftBlockTypes["CherryHangingSign"] = "minecraft:cherry_hanging_sign";
    MinecraftBlockTypes["CherryLeaves"] = "minecraft:cherry_leaves";
    MinecraftBlockTypes["CherryLog"] = "minecraft:cherry_log";
    MinecraftBlockTypes["CherryPlanks"] = "minecraft:cherry_planks";
    MinecraftBlockTypes["CherryPressurePlate"] = "minecraft:cherry_pressure_plate";
    MinecraftBlockTypes["CherrySapling"] = "minecraft:cherry_sapling";
    MinecraftBlockTypes["CherrySlab"] = "minecraft:cherry_slab";
    MinecraftBlockTypes["CherryStairs"] = "minecraft:cherry_stairs";
    MinecraftBlockTypes["CherryStandingSign"] = "minecraft:cherry_standing_sign";
    MinecraftBlockTypes["CherryTrapdoor"] = "minecraft:cherry_trapdoor";
    MinecraftBlockTypes["CherryWallSign"] = "minecraft:cherry_wall_sign";
    MinecraftBlockTypes["CherryWood"] = "minecraft:cherry_wood";
    MinecraftBlockTypes["Chest"] = "minecraft:chest";
    MinecraftBlockTypes["ChiseledBookshelf"] = "minecraft:chiseled_bookshelf";
    MinecraftBlockTypes["ChiseledDeepslate"] = "minecraft:chiseled_deepslate";
    MinecraftBlockTypes["ChiseledNetherBricks"] = "minecraft:chiseled_nether_bricks";
    MinecraftBlockTypes["ChiseledPolishedBlackstone"] = "minecraft:chiseled_polished_blackstone";
    MinecraftBlockTypes["ChorusFlower"] = "minecraft:chorus_flower";
    MinecraftBlockTypes["ChorusPlant"] = "minecraft:chorus_plant";
    MinecraftBlockTypes["Clay"] = "minecraft:clay";
    MinecraftBlockTypes["ClientRequestPlaceholderBlock"] = "minecraft:client_request_placeholder_block";
    MinecraftBlockTypes["CoalBlock"] = "minecraft:coal_block";
    MinecraftBlockTypes["CoalOre"] = "minecraft:coal_ore";
    MinecraftBlockTypes["CobbledDeepslate"] = "minecraft:cobbled_deepslate";
    MinecraftBlockTypes["CobbledDeepslateDoubleSlab"] = "minecraft:cobbled_deepslate_double_slab";
    MinecraftBlockTypes["CobbledDeepslateSlab"] = "minecraft:cobbled_deepslate_slab";
    MinecraftBlockTypes["CobbledDeepslateStairs"] = "minecraft:cobbled_deepslate_stairs";
    MinecraftBlockTypes["CobbledDeepslateWall"] = "minecraft:cobbled_deepslate_wall";
    MinecraftBlockTypes["Cobblestone"] = "minecraft:cobblestone";
    MinecraftBlockTypes["CobblestoneWall"] = "minecraft:cobblestone_wall";
    MinecraftBlockTypes["Cocoa"] = "minecraft:cocoa";
    MinecraftBlockTypes["ColoredTorchBp"] = "minecraft:colored_torch_bp";
    MinecraftBlockTypes["ColoredTorchRg"] = "minecraft:colored_torch_rg";
    MinecraftBlockTypes["CommandBlock"] = "minecraft:command_block";
    MinecraftBlockTypes["Composter"] = "minecraft:composter";
    MinecraftBlockTypes["Concrete"] = "minecraft:concrete";
    MinecraftBlockTypes["ConcretePowder"] = "minecraft:concrete_powder";
    MinecraftBlockTypes["Conduit"] = "minecraft:conduit";
    MinecraftBlockTypes["CopperBlock"] = "minecraft:copper_block";
    MinecraftBlockTypes["CopperOre"] = "minecraft:copper_ore";
    MinecraftBlockTypes["CoralBlock"] = "minecraft:coral_block";
    MinecraftBlockTypes["CoralFan"] = "minecraft:coral_fan";
    MinecraftBlockTypes["CoralFanDead"] = "minecraft:coral_fan_dead";
    MinecraftBlockTypes["CoralFanHang"] = "minecraft:coral_fan_hang";
    MinecraftBlockTypes["CoralFanHang2"] = "minecraft:coral_fan_hang2";
    MinecraftBlockTypes["CoralFanHang3"] = "minecraft:coral_fan_hang3";
    MinecraftBlockTypes["CrackedDeepslateBricks"] = "minecraft:cracked_deepslate_bricks";
    MinecraftBlockTypes["CrackedDeepslateTiles"] = "minecraft:cracked_deepslate_tiles";
    MinecraftBlockTypes["CrackedNetherBricks"] = "minecraft:cracked_nether_bricks";
    MinecraftBlockTypes["CrackedPolishedBlackstoneBricks"] = "minecraft:cracked_polished_blackstone_bricks";
    MinecraftBlockTypes["CraftingTable"] = "minecraft:crafting_table";
    MinecraftBlockTypes["CrimsonButton"] = "minecraft:crimson_button";
    MinecraftBlockTypes["CrimsonDoor"] = "minecraft:crimson_door";
    MinecraftBlockTypes["CrimsonDoubleSlab"] = "minecraft:crimson_double_slab";
    MinecraftBlockTypes["CrimsonFence"] = "minecraft:crimson_fence";
    MinecraftBlockTypes["CrimsonFenceGate"] = "minecraft:crimson_fence_gate";
    MinecraftBlockTypes["CrimsonFungus"] = "minecraft:crimson_fungus";
    MinecraftBlockTypes["CrimsonHangingSign"] = "minecraft:crimson_hanging_sign";
    MinecraftBlockTypes["CrimsonHyphae"] = "minecraft:crimson_hyphae";
    MinecraftBlockTypes["CrimsonNylium"] = "minecraft:crimson_nylium";
    MinecraftBlockTypes["CrimsonPlanks"] = "minecraft:crimson_planks";
    MinecraftBlockTypes["CrimsonPressurePlate"] = "minecraft:crimson_pressure_plate";
    MinecraftBlockTypes["CrimsonRoots"] = "minecraft:crimson_roots";
    MinecraftBlockTypes["CrimsonSlab"] = "minecraft:crimson_slab";
    MinecraftBlockTypes["CrimsonStairs"] = "minecraft:crimson_stairs";
    MinecraftBlockTypes["CrimsonStandingSign"] = "minecraft:crimson_standing_sign";
    MinecraftBlockTypes["CrimsonStem"] = "minecraft:crimson_stem";
    MinecraftBlockTypes["CrimsonTrapdoor"] = "minecraft:crimson_trapdoor";
    MinecraftBlockTypes["CrimsonWallSign"] = "minecraft:crimson_wall_sign";
    MinecraftBlockTypes["CryingObsidian"] = "minecraft:crying_obsidian";
    MinecraftBlockTypes["CutCopper"] = "minecraft:cut_copper";
    MinecraftBlockTypes["CutCopperSlab"] = "minecraft:cut_copper_slab";
    MinecraftBlockTypes["CutCopperStairs"] = "minecraft:cut_copper_stairs";
    MinecraftBlockTypes["CyanCandle"] = "minecraft:cyan_candle";
    MinecraftBlockTypes["CyanCandleCake"] = "minecraft:cyan_candle_cake";
    MinecraftBlockTypes["CyanCarpet"] = "minecraft:cyan_carpet";
    MinecraftBlockTypes["CyanGlazedTerracotta"] = "minecraft:cyan_glazed_terracotta";
    MinecraftBlockTypes["CyanShulkerBox"] = "minecraft:cyan_shulker_box";
    MinecraftBlockTypes["CyanWool"] = "minecraft:cyan_wool";
    MinecraftBlockTypes["DarkOakButton"] = "minecraft:dark_oak_button";
    MinecraftBlockTypes["DarkOakDoor"] = "minecraft:dark_oak_door";
    MinecraftBlockTypes["DarkOakFence"] = "minecraft:dark_oak_fence";
    MinecraftBlockTypes["DarkOakFenceGate"] = "minecraft:dark_oak_fence_gate";
    MinecraftBlockTypes["DarkOakHangingSign"] = "minecraft:dark_oak_hanging_sign";
    MinecraftBlockTypes["DarkOakLog"] = "minecraft:dark_oak_log";
    MinecraftBlockTypes["DarkOakPressurePlate"] = "minecraft:dark_oak_pressure_plate";
    MinecraftBlockTypes["DarkOakStairs"] = "minecraft:dark_oak_stairs";
    MinecraftBlockTypes["DarkOakTrapdoor"] = "minecraft:dark_oak_trapdoor";
    MinecraftBlockTypes["DarkPrismarineStairs"] = "minecraft:dark_prismarine_stairs";
    MinecraftBlockTypes["DarkoakStandingSign"] = "minecraft:darkoak_standing_sign";
    MinecraftBlockTypes["DarkoakWallSign"] = "minecraft:darkoak_wall_sign";
    MinecraftBlockTypes["DaylightDetector"] = "minecraft:daylight_detector";
    MinecraftBlockTypes["DaylightDetectorInverted"] = "minecraft:daylight_detector_inverted";
    MinecraftBlockTypes["DeadBrainCoral"] = "minecraft:dead_brain_coral";
    MinecraftBlockTypes["DeadBubbleCoral"] = "minecraft:dead_bubble_coral";
    MinecraftBlockTypes["DeadFireCoral"] = "minecraft:dead_fire_coral";
    MinecraftBlockTypes["DeadHornCoral"] = "minecraft:dead_horn_coral";
    MinecraftBlockTypes["DeadTubeCoral"] = "minecraft:dead_tube_coral";
    MinecraftBlockTypes["Deadbush"] = "minecraft:deadbush";
    MinecraftBlockTypes["DecoratedPot"] = "minecraft:decorated_pot";
    MinecraftBlockTypes["Deepslate"] = "minecraft:deepslate";
    MinecraftBlockTypes["DeepslateBrickDoubleSlab"] = "minecraft:deepslate_brick_double_slab";
    MinecraftBlockTypes["DeepslateBrickSlab"] = "minecraft:deepslate_brick_slab";
    MinecraftBlockTypes["DeepslateBrickStairs"] = "minecraft:deepslate_brick_stairs";
    MinecraftBlockTypes["DeepslateBrickWall"] = "minecraft:deepslate_brick_wall";
    MinecraftBlockTypes["DeepslateBricks"] = "minecraft:deepslate_bricks";
    MinecraftBlockTypes["DeepslateCoalOre"] = "minecraft:deepslate_coal_ore";
    MinecraftBlockTypes["DeepslateCopperOre"] = "minecraft:deepslate_copper_ore";
    MinecraftBlockTypes["DeepslateDiamondOre"] = "minecraft:deepslate_diamond_ore";
    MinecraftBlockTypes["DeepslateEmeraldOre"] = "minecraft:deepslate_emerald_ore";
    MinecraftBlockTypes["DeepslateGoldOre"] = "minecraft:deepslate_gold_ore";
    MinecraftBlockTypes["DeepslateIronOre"] = "minecraft:deepslate_iron_ore";
    MinecraftBlockTypes["DeepslateLapisOre"] = "minecraft:deepslate_lapis_ore";
    MinecraftBlockTypes["DeepslateRedstoneOre"] = "minecraft:deepslate_redstone_ore";
    MinecraftBlockTypes["DeepslateTileDoubleSlab"] = "minecraft:deepslate_tile_double_slab";
    MinecraftBlockTypes["DeepslateTileSlab"] = "minecraft:deepslate_tile_slab";
    MinecraftBlockTypes["DeepslateTileStairs"] = "minecraft:deepslate_tile_stairs";
    MinecraftBlockTypes["DeepslateTileWall"] = "minecraft:deepslate_tile_wall";
    MinecraftBlockTypes["DeepslateTiles"] = "minecraft:deepslate_tiles";
    MinecraftBlockTypes["Deny"] = "minecraft:deny";
    MinecraftBlockTypes["DetectorRail"] = "minecraft:detector_rail";
    MinecraftBlockTypes["DiamondBlock"] = "minecraft:diamond_block";
    MinecraftBlockTypes["DiamondOre"] = "minecraft:diamond_ore";
    MinecraftBlockTypes["DioriteStairs"] = "minecraft:diorite_stairs";
    MinecraftBlockTypes["Dirt"] = "minecraft:dirt";
    MinecraftBlockTypes["DirtWithRoots"] = "minecraft:dirt_with_roots";
    MinecraftBlockTypes["Dispenser"] = "minecraft:dispenser";
    MinecraftBlockTypes["DoubleCutCopperSlab"] = "minecraft:double_cut_copper_slab";
    MinecraftBlockTypes["DoublePlant"] = "minecraft:double_plant";
    MinecraftBlockTypes["DoubleStoneBlockSlab"] = "minecraft:double_stone_block_slab";
    MinecraftBlockTypes["DoubleStoneBlockSlab2"] = "minecraft:double_stone_block_slab2";
    MinecraftBlockTypes["DoubleStoneBlockSlab3"] = "minecraft:double_stone_block_slab3";
    MinecraftBlockTypes["DoubleStoneBlockSlab4"] = "minecraft:double_stone_block_slab4";
    MinecraftBlockTypes["DoubleWoodenSlab"] = "minecraft:double_wooden_slab";
    MinecraftBlockTypes["DragonEgg"] = "minecraft:dragon_egg";
    MinecraftBlockTypes["DriedKelpBlock"] = "minecraft:dried_kelp_block";
    MinecraftBlockTypes["DripstoneBlock"] = "minecraft:dripstone_block";
    MinecraftBlockTypes["Dropper"] = "minecraft:dropper";
    MinecraftBlockTypes["Element0"] = "minecraft:element_0";
    MinecraftBlockTypes["Element1"] = "minecraft:element_1";
    MinecraftBlockTypes["Element10"] = "minecraft:element_10";
    MinecraftBlockTypes["Element100"] = "minecraft:element_100";
    MinecraftBlockTypes["Element101"] = "minecraft:element_101";
    MinecraftBlockTypes["Element102"] = "minecraft:element_102";
    MinecraftBlockTypes["Element103"] = "minecraft:element_103";
    MinecraftBlockTypes["Element104"] = "minecraft:element_104";
    MinecraftBlockTypes["Element105"] = "minecraft:element_105";
    MinecraftBlockTypes["Element106"] = "minecraft:element_106";
    MinecraftBlockTypes["Element107"] = "minecraft:element_107";
    MinecraftBlockTypes["Element108"] = "minecraft:element_108";
    MinecraftBlockTypes["Element109"] = "minecraft:element_109";
    MinecraftBlockTypes["Element11"] = "minecraft:element_11";
    MinecraftBlockTypes["Element110"] = "minecraft:element_110";
    MinecraftBlockTypes["Element111"] = "minecraft:element_111";
    MinecraftBlockTypes["Element112"] = "minecraft:element_112";
    MinecraftBlockTypes["Element113"] = "minecraft:element_113";
    MinecraftBlockTypes["Element114"] = "minecraft:element_114";
    MinecraftBlockTypes["Element115"] = "minecraft:element_115";
    MinecraftBlockTypes["Element116"] = "minecraft:element_116";
    MinecraftBlockTypes["Element117"] = "minecraft:element_117";
    MinecraftBlockTypes["Element118"] = "minecraft:element_118";
    MinecraftBlockTypes["Element12"] = "minecraft:element_12";
    MinecraftBlockTypes["Element13"] = "minecraft:element_13";
    MinecraftBlockTypes["Element14"] = "minecraft:element_14";
    MinecraftBlockTypes["Element15"] = "minecraft:element_15";
    MinecraftBlockTypes["Element16"] = "minecraft:element_16";
    MinecraftBlockTypes["Element17"] = "minecraft:element_17";
    MinecraftBlockTypes["Element18"] = "minecraft:element_18";
    MinecraftBlockTypes["Element19"] = "minecraft:element_19";
    MinecraftBlockTypes["Element2"] = "minecraft:element_2";
    MinecraftBlockTypes["Element20"] = "minecraft:element_20";
    MinecraftBlockTypes["Element21"] = "minecraft:element_21";
    MinecraftBlockTypes["Element22"] = "minecraft:element_22";
    MinecraftBlockTypes["Element23"] = "minecraft:element_23";
    MinecraftBlockTypes["Element24"] = "minecraft:element_24";
    MinecraftBlockTypes["Element25"] = "minecraft:element_25";
    MinecraftBlockTypes["Element26"] = "minecraft:element_26";
    MinecraftBlockTypes["Element27"] = "minecraft:element_27";
    MinecraftBlockTypes["Element28"] = "minecraft:element_28";
    MinecraftBlockTypes["Element29"] = "minecraft:element_29";
    MinecraftBlockTypes["Element3"] = "minecraft:element_3";
    MinecraftBlockTypes["Element30"] = "minecraft:element_30";
    MinecraftBlockTypes["Element31"] = "minecraft:element_31";
    MinecraftBlockTypes["Element32"] = "minecraft:element_32";
    MinecraftBlockTypes["Element33"] = "minecraft:element_33";
    MinecraftBlockTypes["Element34"] = "minecraft:element_34";
    MinecraftBlockTypes["Element35"] = "minecraft:element_35";
    MinecraftBlockTypes["Element36"] = "minecraft:element_36";
    MinecraftBlockTypes["Element37"] = "minecraft:element_37";
    MinecraftBlockTypes["Element38"] = "minecraft:element_38";
    MinecraftBlockTypes["Element39"] = "minecraft:element_39";
    MinecraftBlockTypes["Element4"] = "minecraft:element_4";
    MinecraftBlockTypes["Element40"] = "minecraft:element_40";
    MinecraftBlockTypes["Element41"] = "minecraft:element_41";
    MinecraftBlockTypes["Element42"] = "minecraft:element_42";
    MinecraftBlockTypes["Element43"] = "minecraft:element_43";
    MinecraftBlockTypes["Element44"] = "minecraft:element_44";
    MinecraftBlockTypes["Element45"] = "minecraft:element_45";
    MinecraftBlockTypes["Element46"] = "minecraft:element_46";
    MinecraftBlockTypes["Element47"] = "minecraft:element_47";
    MinecraftBlockTypes["Element48"] = "minecraft:element_48";
    MinecraftBlockTypes["Element49"] = "minecraft:element_49";
    MinecraftBlockTypes["Element5"] = "minecraft:element_5";
    MinecraftBlockTypes["Element50"] = "minecraft:element_50";
    MinecraftBlockTypes["Element51"] = "minecraft:element_51";
    MinecraftBlockTypes["Element52"] = "minecraft:element_52";
    MinecraftBlockTypes["Element53"] = "minecraft:element_53";
    MinecraftBlockTypes["Element54"] = "minecraft:element_54";
    MinecraftBlockTypes["Element55"] = "minecraft:element_55";
    MinecraftBlockTypes["Element56"] = "minecraft:element_56";
    MinecraftBlockTypes["Element57"] = "minecraft:element_57";
    MinecraftBlockTypes["Element58"] = "minecraft:element_58";
    MinecraftBlockTypes["Element59"] = "minecraft:element_59";
    MinecraftBlockTypes["Element6"] = "minecraft:element_6";
    MinecraftBlockTypes["Element60"] = "minecraft:element_60";
    MinecraftBlockTypes["Element61"] = "minecraft:element_61";
    MinecraftBlockTypes["Element62"] = "minecraft:element_62";
    MinecraftBlockTypes["Element63"] = "minecraft:element_63";
    MinecraftBlockTypes["Element64"] = "minecraft:element_64";
    MinecraftBlockTypes["Element65"] = "minecraft:element_65";
    MinecraftBlockTypes["Element66"] = "minecraft:element_66";
    MinecraftBlockTypes["Element67"] = "minecraft:element_67";
    MinecraftBlockTypes["Element68"] = "minecraft:element_68";
    MinecraftBlockTypes["Element69"] = "minecraft:element_69";
    MinecraftBlockTypes["Element7"] = "minecraft:element_7";
    MinecraftBlockTypes["Element70"] = "minecraft:element_70";
    MinecraftBlockTypes["Element71"] = "minecraft:element_71";
    MinecraftBlockTypes["Element72"] = "minecraft:element_72";
    MinecraftBlockTypes["Element73"] = "minecraft:element_73";
    MinecraftBlockTypes["Element74"] = "minecraft:element_74";
    MinecraftBlockTypes["Element75"] = "minecraft:element_75";
    MinecraftBlockTypes["Element76"] = "minecraft:element_76";
    MinecraftBlockTypes["Element77"] = "minecraft:element_77";
    MinecraftBlockTypes["Element78"] = "minecraft:element_78";
    MinecraftBlockTypes["Element79"] = "minecraft:element_79";
    MinecraftBlockTypes["Element8"] = "minecraft:element_8";
    MinecraftBlockTypes["Element80"] = "minecraft:element_80";
    MinecraftBlockTypes["Element81"] = "minecraft:element_81";
    MinecraftBlockTypes["Element82"] = "minecraft:element_82";
    MinecraftBlockTypes["Element83"] = "minecraft:element_83";
    MinecraftBlockTypes["Element84"] = "minecraft:element_84";
    MinecraftBlockTypes["Element85"] = "minecraft:element_85";
    MinecraftBlockTypes["Element86"] = "minecraft:element_86";
    MinecraftBlockTypes["Element87"] = "minecraft:element_87";
    MinecraftBlockTypes["Element88"] = "minecraft:element_88";
    MinecraftBlockTypes["Element89"] = "minecraft:element_89";
    MinecraftBlockTypes["Element9"] = "minecraft:element_9";
    MinecraftBlockTypes["Element90"] = "minecraft:element_90";
    MinecraftBlockTypes["Element91"] = "minecraft:element_91";
    MinecraftBlockTypes["Element92"] = "minecraft:element_92";
    MinecraftBlockTypes["Element93"] = "minecraft:element_93";
    MinecraftBlockTypes["Element94"] = "minecraft:element_94";
    MinecraftBlockTypes["Element95"] = "minecraft:element_95";
    MinecraftBlockTypes["Element96"] = "minecraft:element_96";
    MinecraftBlockTypes["Element97"] = "minecraft:element_97";
    MinecraftBlockTypes["Element98"] = "minecraft:element_98";
    MinecraftBlockTypes["Element99"] = "minecraft:element_99";
    MinecraftBlockTypes["EmeraldBlock"] = "minecraft:emerald_block";
    MinecraftBlockTypes["EmeraldOre"] = "minecraft:emerald_ore";
    MinecraftBlockTypes["EnchantingTable"] = "minecraft:enchanting_table";
    MinecraftBlockTypes["EndBrickStairs"] = "minecraft:end_brick_stairs";
    MinecraftBlockTypes["EndBricks"] = "minecraft:end_bricks";
    MinecraftBlockTypes["EndGateway"] = "minecraft:end_gateway";
    MinecraftBlockTypes["EndPortal"] = "minecraft:end_portal";
    MinecraftBlockTypes["EndPortalFrame"] = "minecraft:end_portal_frame";
    MinecraftBlockTypes["EndRod"] = "minecraft:end_rod";
    MinecraftBlockTypes["EndStone"] = "minecraft:end_stone";
    MinecraftBlockTypes["EnderChest"] = "minecraft:ender_chest";
    MinecraftBlockTypes["ExposedCopper"] = "minecraft:exposed_copper";
    MinecraftBlockTypes["ExposedCutCopper"] = "minecraft:exposed_cut_copper";
    MinecraftBlockTypes["ExposedCutCopperSlab"] = "minecraft:exposed_cut_copper_slab";
    MinecraftBlockTypes["ExposedCutCopperStairs"] = "minecraft:exposed_cut_copper_stairs";
    MinecraftBlockTypes["ExposedDoubleCutCopperSlab"] = "minecraft:exposed_double_cut_copper_slab";
    MinecraftBlockTypes["Farmland"] = "minecraft:farmland";
    MinecraftBlockTypes["FenceGate"] = "minecraft:fence_gate";
    MinecraftBlockTypes["Fire"] = "minecraft:fire";
    MinecraftBlockTypes["FireCoral"] = "minecraft:fire_coral";
    MinecraftBlockTypes["FletchingTable"] = "minecraft:fletching_table";
    MinecraftBlockTypes["FlowerPot"] = "minecraft:flower_pot";
    MinecraftBlockTypes["FloweringAzalea"] = "minecraft:flowering_azalea";
    MinecraftBlockTypes["FlowingLava"] = "minecraft:flowing_lava";
    MinecraftBlockTypes["FlowingWater"] = "minecraft:flowing_water";
    MinecraftBlockTypes["Frame"] = "minecraft:frame";
    MinecraftBlockTypes["FrogSpawn"] = "minecraft:frog_spawn";
    MinecraftBlockTypes["FrostedIce"] = "minecraft:frosted_ice";
    MinecraftBlockTypes["Furnace"] = "minecraft:furnace";
    MinecraftBlockTypes["GildedBlackstone"] = "minecraft:gilded_blackstone";
    MinecraftBlockTypes["Glass"] = "minecraft:glass";
    MinecraftBlockTypes["GlassPane"] = "minecraft:glass_pane";
    MinecraftBlockTypes["GlowFrame"] = "minecraft:glow_frame";
    MinecraftBlockTypes["GlowLichen"] = "minecraft:glow_lichen";
    MinecraftBlockTypes["Glowingobsidian"] = "minecraft:glowingobsidian";
    MinecraftBlockTypes["Glowstone"] = "minecraft:glowstone";
    MinecraftBlockTypes["GoldBlock"] = "minecraft:gold_block";
    MinecraftBlockTypes["GoldOre"] = "minecraft:gold_ore";
    MinecraftBlockTypes["GoldenRail"] = "minecraft:golden_rail";
    MinecraftBlockTypes["GraniteStairs"] = "minecraft:granite_stairs";
    MinecraftBlockTypes["Grass"] = "minecraft:grass";
    MinecraftBlockTypes["GrassPath"] = "minecraft:grass_path";
    MinecraftBlockTypes["Gravel"] = "minecraft:gravel";
    MinecraftBlockTypes["GrayCandle"] = "minecraft:gray_candle";
    MinecraftBlockTypes["GrayCandleCake"] = "minecraft:gray_candle_cake";
    MinecraftBlockTypes["GrayCarpet"] = "minecraft:gray_carpet";
    MinecraftBlockTypes["GrayGlazedTerracotta"] = "minecraft:gray_glazed_terracotta";
    MinecraftBlockTypes["GrayShulkerBox"] = "minecraft:gray_shulker_box";
    MinecraftBlockTypes["GrayWool"] = "minecraft:gray_wool";
    MinecraftBlockTypes["GreenCandle"] = "minecraft:green_candle";
    MinecraftBlockTypes["GreenCandleCake"] = "minecraft:green_candle_cake";
    MinecraftBlockTypes["GreenCarpet"] = "minecraft:green_carpet";
    MinecraftBlockTypes["GreenGlazedTerracotta"] = "minecraft:green_glazed_terracotta";
    MinecraftBlockTypes["GreenShulkerBox"] = "minecraft:green_shulker_box";
    MinecraftBlockTypes["GreenWool"] = "minecraft:green_wool";
    MinecraftBlockTypes["Grindstone"] = "minecraft:grindstone";
    MinecraftBlockTypes["HangingRoots"] = "minecraft:hanging_roots";
    MinecraftBlockTypes["HardGlass"] = "minecraft:hard_glass";
    MinecraftBlockTypes["HardGlassPane"] = "minecraft:hard_glass_pane";
    MinecraftBlockTypes["HardStainedGlass"] = "minecraft:hard_stained_glass";
    MinecraftBlockTypes["HardStainedGlassPane"] = "minecraft:hard_stained_glass_pane";
    MinecraftBlockTypes["HardenedClay"] = "minecraft:hardened_clay";
    MinecraftBlockTypes["HayBlock"] = "minecraft:hay_block";
    MinecraftBlockTypes["HeavyWeightedPressurePlate"] = "minecraft:heavy_weighted_pressure_plate";
    MinecraftBlockTypes["HoneyBlock"] = "minecraft:honey_block";
    MinecraftBlockTypes["HoneycombBlock"] = "minecraft:honeycomb_block";
    MinecraftBlockTypes["Hopper"] = "minecraft:hopper";
    MinecraftBlockTypes["HornCoral"] = "minecraft:horn_coral";
    MinecraftBlockTypes["Ice"] = "minecraft:ice";
    MinecraftBlockTypes["InfestedDeepslate"] = "minecraft:infested_deepslate";
    MinecraftBlockTypes["InfoUpdate"] = "minecraft:info_update";
    MinecraftBlockTypes["InfoUpdate2"] = "minecraft:info_update2";
    MinecraftBlockTypes["InvisibleBedrock"] = "minecraft:invisible_bedrock";
    MinecraftBlockTypes["IronBars"] = "minecraft:iron_bars";
    MinecraftBlockTypes["IronBlock"] = "minecraft:iron_block";
    MinecraftBlockTypes["IronDoor"] = "minecraft:iron_door";
    MinecraftBlockTypes["IronOre"] = "minecraft:iron_ore";
    MinecraftBlockTypes["IronTrapdoor"] = "minecraft:iron_trapdoor";
    MinecraftBlockTypes["Jigsaw"] = "minecraft:jigsaw";
    MinecraftBlockTypes["Jukebox"] = "minecraft:jukebox";
    MinecraftBlockTypes["JungleButton"] = "minecraft:jungle_button";
    MinecraftBlockTypes["JungleDoor"] = "minecraft:jungle_door";
    MinecraftBlockTypes["JungleFence"] = "minecraft:jungle_fence";
    MinecraftBlockTypes["JungleFenceGate"] = "minecraft:jungle_fence_gate";
    MinecraftBlockTypes["JungleHangingSign"] = "minecraft:jungle_hanging_sign";
    MinecraftBlockTypes["JungleLog"] = "minecraft:jungle_log";
    MinecraftBlockTypes["JunglePressurePlate"] = "minecraft:jungle_pressure_plate";
    MinecraftBlockTypes["JungleStairs"] = "minecraft:jungle_stairs";
    MinecraftBlockTypes["JungleStandingSign"] = "minecraft:jungle_standing_sign";
    MinecraftBlockTypes["JungleTrapdoor"] = "minecraft:jungle_trapdoor";
    MinecraftBlockTypes["JungleWallSign"] = "minecraft:jungle_wall_sign";
    MinecraftBlockTypes["Kelp"] = "minecraft:kelp";
    MinecraftBlockTypes["Ladder"] = "minecraft:ladder";
    MinecraftBlockTypes["Lantern"] = "minecraft:lantern";
    MinecraftBlockTypes["LapisBlock"] = "minecraft:lapis_block";
    MinecraftBlockTypes["LapisOre"] = "minecraft:lapis_ore";
    MinecraftBlockTypes["LargeAmethystBud"] = "minecraft:large_amethyst_bud";
    MinecraftBlockTypes["Lava"] = "minecraft:lava";
    MinecraftBlockTypes["Leaves"] = "minecraft:leaves";
    MinecraftBlockTypes["Leaves2"] = "minecraft:leaves2";
    MinecraftBlockTypes["Lectern"] = "minecraft:lectern";
    MinecraftBlockTypes["Lever"] = "minecraft:lever";
    MinecraftBlockTypes["LightBlock"] = "minecraft:light_block";
    MinecraftBlockTypes["LightBlueCandle"] = "minecraft:light_blue_candle";
    MinecraftBlockTypes["LightBlueCandleCake"] = "minecraft:light_blue_candle_cake";
    MinecraftBlockTypes["LightBlueCarpet"] = "minecraft:light_blue_carpet";
    MinecraftBlockTypes["LightBlueGlazedTerracotta"] = "minecraft:light_blue_glazed_terracotta";
    MinecraftBlockTypes["LightBlueShulkerBox"] = "minecraft:light_blue_shulker_box";
    MinecraftBlockTypes["LightBlueWool"] = "minecraft:light_blue_wool";
    MinecraftBlockTypes["LightGrayCandle"] = "minecraft:light_gray_candle";
    MinecraftBlockTypes["LightGrayCandleCake"] = "minecraft:light_gray_candle_cake";
    MinecraftBlockTypes["LightGrayCarpet"] = "minecraft:light_gray_carpet";
    MinecraftBlockTypes["LightGrayShulkerBox"] = "minecraft:light_gray_shulker_box";
    MinecraftBlockTypes["LightGrayWool"] = "minecraft:light_gray_wool";
    MinecraftBlockTypes["LightWeightedPressurePlate"] = "minecraft:light_weighted_pressure_plate";
    MinecraftBlockTypes["LightningRod"] = "minecraft:lightning_rod";
    MinecraftBlockTypes["LimeCandle"] = "minecraft:lime_candle";
    MinecraftBlockTypes["LimeCandleCake"] = "minecraft:lime_candle_cake";
    MinecraftBlockTypes["LimeCarpet"] = "minecraft:lime_carpet";
    MinecraftBlockTypes["LimeGlazedTerracotta"] = "minecraft:lime_glazed_terracotta";
    MinecraftBlockTypes["LimeShulkerBox"] = "minecraft:lime_shulker_box";
    MinecraftBlockTypes["LimeWool"] = "minecraft:lime_wool";
    MinecraftBlockTypes["LitBlastFurnace"] = "minecraft:lit_blast_furnace";
    MinecraftBlockTypes["LitDeepslateRedstoneOre"] = "minecraft:lit_deepslate_redstone_ore";
    MinecraftBlockTypes["LitFurnace"] = "minecraft:lit_furnace";
    MinecraftBlockTypes["LitPumpkin"] = "minecraft:lit_pumpkin";
    MinecraftBlockTypes["LitRedstoneLamp"] = "minecraft:lit_redstone_lamp";
    MinecraftBlockTypes["LitRedstoneOre"] = "minecraft:lit_redstone_ore";
    MinecraftBlockTypes["LitSmoker"] = "minecraft:lit_smoker";
    MinecraftBlockTypes["Lodestone"] = "minecraft:lodestone";
    MinecraftBlockTypes["Loom"] = "minecraft:loom";
    MinecraftBlockTypes["MagentaCandle"] = "minecraft:magenta_candle";
    MinecraftBlockTypes["MagentaCandleCake"] = "minecraft:magenta_candle_cake";
    MinecraftBlockTypes["MagentaCarpet"] = "minecraft:magenta_carpet";
    MinecraftBlockTypes["MagentaGlazedTerracotta"] = "minecraft:magenta_glazed_terracotta";
    MinecraftBlockTypes["MagentaShulkerBox"] = "minecraft:magenta_shulker_box";
    MinecraftBlockTypes["MagentaWool"] = "minecraft:magenta_wool";
    MinecraftBlockTypes["Magma"] = "minecraft:magma";
    MinecraftBlockTypes["MangroveButton"] = "minecraft:mangrove_button";
    MinecraftBlockTypes["MangroveDoor"] = "minecraft:mangrove_door";
    MinecraftBlockTypes["MangroveDoubleSlab"] = "minecraft:mangrove_double_slab";
    MinecraftBlockTypes["MangroveFence"] = "minecraft:mangrove_fence";
    MinecraftBlockTypes["MangroveFenceGate"] = "minecraft:mangrove_fence_gate";
    MinecraftBlockTypes["MangroveHangingSign"] = "minecraft:mangrove_hanging_sign";
    MinecraftBlockTypes["MangroveLeaves"] = "minecraft:mangrove_leaves";
    MinecraftBlockTypes["MangroveLog"] = "minecraft:mangrove_log";
    MinecraftBlockTypes["MangrovePlanks"] = "minecraft:mangrove_planks";
    MinecraftBlockTypes["MangrovePressurePlate"] = "minecraft:mangrove_pressure_plate";
    MinecraftBlockTypes["MangrovePropagule"] = "minecraft:mangrove_propagule";
    MinecraftBlockTypes["MangroveRoots"] = "minecraft:mangrove_roots";
    MinecraftBlockTypes["MangroveSlab"] = "minecraft:mangrove_slab";
    MinecraftBlockTypes["MangroveStairs"] = "minecraft:mangrove_stairs";
    MinecraftBlockTypes["MangroveStandingSign"] = "minecraft:mangrove_standing_sign";
    MinecraftBlockTypes["MangroveTrapdoor"] = "minecraft:mangrove_trapdoor";
    MinecraftBlockTypes["MangroveWallSign"] = "minecraft:mangrove_wall_sign";
    MinecraftBlockTypes["MangroveWood"] = "minecraft:mangrove_wood";
    MinecraftBlockTypes["MediumAmethystBud"] = "minecraft:medium_amethyst_bud";
    MinecraftBlockTypes["MelonBlock"] = "minecraft:melon_block";
    MinecraftBlockTypes["MelonStem"] = "minecraft:melon_stem";
    MinecraftBlockTypes["MobSpawner"] = "minecraft:mob_spawner";
    MinecraftBlockTypes["MonsterEgg"] = "minecraft:monster_egg";
    MinecraftBlockTypes["MossBlock"] = "minecraft:moss_block";
    MinecraftBlockTypes["MossCarpet"] = "minecraft:moss_carpet";
    MinecraftBlockTypes["MossyCobblestone"] = "minecraft:mossy_cobblestone";
    MinecraftBlockTypes["MossyCobblestoneStairs"] = "minecraft:mossy_cobblestone_stairs";
    MinecraftBlockTypes["MossyStoneBrickStairs"] = "minecraft:mossy_stone_brick_stairs";
    MinecraftBlockTypes["MovingBlock"] = "minecraft:moving_block";
    MinecraftBlockTypes["Mud"] = "minecraft:mud";
    MinecraftBlockTypes["MudBrickDoubleSlab"] = "minecraft:mud_brick_double_slab";
    MinecraftBlockTypes["MudBrickSlab"] = "minecraft:mud_brick_slab";
    MinecraftBlockTypes["MudBrickStairs"] = "minecraft:mud_brick_stairs";
    MinecraftBlockTypes["MudBrickWall"] = "minecraft:mud_brick_wall";
    MinecraftBlockTypes["MudBricks"] = "minecraft:mud_bricks";
    MinecraftBlockTypes["MuddyMangroveRoots"] = "minecraft:muddy_mangrove_roots";
    MinecraftBlockTypes["Mycelium"] = "minecraft:mycelium";
    MinecraftBlockTypes["NetherBrick"] = "minecraft:nether_brick";
    MinecraftBlockTypes["NetherBrickFence"] = "minecraft:nether_brick_fence";
    MinecraftBlockTypes["NetherBrickStairs"] = "minecraft:nether_brick_stairs";
    MinecraftBlockTypes["NetherGoldOre"] = "minecraft:nether_gold_ore";
    MinecraftBlockTypes["NetherSprouts"] = "minecraft:nether_sprouts";
    MinecraftBlockTypes["NetherWart"] = "minecraft:nether_wart";
    MinecraftBlockTypes["NetherWartBlock"] = "minecraft:nether_wart_block";
    MinecraftBlockTypes["NetheriteBlock"] = "minecraft:netherite_block";
    MinecraftBlockTypes["Netherrack"] = "minecraft:netherrack";
    MinecraftBlockTypes["Netherreactor"] = "minecraft:netherreactor";
    MinecraftBlockTypes["NormalStoneStairs"] = "minecraft:normal_stone_stairs";
    MinecraftBlockTypes["Noteblock"] = "minecraft:noteblock";
    MinecraftBlockTypes["OakFence"] = "minecraft:oak_fence";
    MinecraftBlockTypes["OakHangingSign"] = "minecraft:oak_hanging_sign";
    MinecraftBlockTypes["OakLog"] = "minecraft:oak_log";
    MinecraftBlockTypes["OakStairs"] = "minecraft:oak_stairs";
    MinecraftBlockTypes["Observer"] = "minecraft:observer";
    MinecraftBlockTypes["Obsidian"] = "minecraft:obsidian";
    MinecraftBlockTypes["OchreFroglight"] = "minecraft:ochre_froglight";
    MinecraftBlockTypes["OrangeCandle"] = "minecraft:orange_candle";
    MinecraftBlockTypes["OrangeCandleCake"] = "minecraft:orange_candle_cake";
    MinecraftBlockTypes["OrangeCarpet"] = "minecraft:orange_carpet";
    MinecraftBlockTypes["OrangeGlazedTerracotta"] = "minecraft:orange_glazed_terracotta";
    MinecraftBlockTypes["OrangeShulkerBox"] = "minecraft:orange_shulker_box";
    MinecraftBlockTypes["OrangeWool"] = "minecraft:orange_wool";
    MinecraftBlockTypes["OxidizedCopper"] = "minecraft:oxidized_copper";
    MinecraftBlockTypes["OxidizedCutCopper"] = "minecraft:oxidized_cut_copper";
    MinecraftBlockTypes["OxidizedCutCopperSlab"] = "minecraft:oxidized_cut_copper_slab";
    MinecraftBlockTypes["OxidizedCutCopperStairs"] = "minecraft:oxidized_cut_copper_stairs";
    MinecraftBlockTypes["OxidizedDoubleCutCopperSlab"] = "minecraft:oxidized_double_cut_copper_slab";
    MinecraftBlockTypes["PackedIce"] = "minecraft:packed_ice";
    MinecraftBlockTypes["PackedMud"] = "minecraft:packed_mud";
    MinecraftBlockTypes["PearlescentFroglight"] = "minecraft:pearlescent_froglight";
    MinecraftBlockTypes["PinkCandle"] = "minecraft:pink_candle";
    MinecraftBlockTypes["PinkCandleCake"] = "minecraft:pink_candle_cake";
    MinecraftBlockTypes["PinkCarpet"] = "minecraft:pink_carpet";
    MinecraftBlockTypes["PinkGlazedTerracotta"] = "minecraft:pink_glazed_terracotta";
    MinecraftBlockTypes["PinkPetals"] = "minecraft:pink_petals";
    MinecraftBlockTypes["PinkShulkerBox"] = "minecraft:pink_shulker_box";
    MinecraftBlockTypes["PinkWool"] = "minecraft:pink_wool";
    MinecraftBlockTypes["Piston"] = "minecraft:piston";
    MinecraftBlockTypes["PistonArmCollision"] = "minecraft:piston_arm_collision";
    MinecraftBlockTypes["PitcherCrop"] = "minecraft:pitcher_crop";
    MinecraftBlockTypes["PitcherPlant"] = "minecraft:pitcher_plant";
    MinecraftBlockTypes["Planks"] = "minecraft:planks";
    MinecraftBlockTypes["Podzol"] = "minecraft:podzol";
    MinecraftBlockTypes["PointedDripstone"] = "minecraft:pointed_dripstone";
    MinecraftBlockTypes["PolishedAndesiteStairs"] = "minecraft:polished_andesite_stairs";
    MinecraftBlockTypes["PolishedBasalt"] = "minecraft:polished_basalt";
    MinecraftBlockTypes["PolishedBlackstone"] = "minecraft:polished_blackstone";
    MinecraftBlockTypes["PolishedBlackstoneBrickDoubleSlab"] = "minecraft:polished_blackstone_brick_double_slab";
    MinecraftBlockTypes["PolishedBlackstoneBrickSlab"] = "minecraft:polished_blackstone_brick_slab";
    MinecraftBlockTypes["PolishedBlackstoneBrickStairs"] = "minecraft:polished_blackstone_brick_stairs";
    MinecraftBlockTypes["PolishedBlackstoneBrickWall"] = "minecraft:polished_blackstone_brick_wall";
    MinecraftBlockTypes["PolishedBlackstoneBricks"] = "minecraft:polished_blackstone_bricks";
    MinecraftBlockTypes["PolishedBlackstoneButton"] = "minecraft:polished_blackstone_button";
    MinecraftBlockTypes["PolishedBlackstoneDoubleSlab"] = "minecraft:polished_blackstone_double_slab";
    MinecraftBlockTypes["PolishedBlackstonePressurePlate"] = "minecraft:polished_blackstone_pressure_plate";
    MinecraftBlockTypes["PolishedBlackstoneSlab"] = "minecraft:polished_blackstone_slab";
    MinecraftBlockTypes["PolishedBlackstoneStairs"] = "minecraft:polished_blackstone_stairs";
    MinecraftBlockTypes["PolishedBlackstoneWall"] = "minecraft:polished_blackstone_wall";
    MinecraftBlockTypes["PolishedDeepslate"] = "minecraft:polished_deepslate";
    MinecraftBlockTypes["PolishedDeepslateDoubleSlab"] = "minecraft:polished_deepslate_double_slab";
    MinecraftBlockTypes["PolishedDeepslateSlab"] = "minecraft:polished_deepslate_slab";
    MinecraftBlockTypes["PolishedDeepslateStairs"] = "minecraft:polished_deepslate_stairs";
    MinecraftBlockTypes["PolishedDeepslateWall"] = "minecraft:polished_deepslate_wall";
    MinecraftBlockTypes["PolishedDioriteStairs"] = "minecraft:polished_diorite_stairs";
    MinecraftBlockTypes["PolishedGraniteStairs"] = "minecraft:polished_granite_stairs";
    MinecraftBlockTypes["Portal"] = "minecraft:portal";
    MinecraftBlockTypes["Potatoes"] = "minecraft:potatoes";
    MinecraftBlockTypes["PowderSnow"] = "minecraft:powder_snow";
    MinecraftBlockTypes["PoweredComparator"] = "minecraft:powered_comparator";
    MinecraftBlockTypes["PoweredRepeater"] = "minecraft:powered_repeater";
    MinecraftBlockTypes["Prismarine"] = "minecraft:prismarine";
    MinecraftBlockTypes["PrismarineBricksStairs"] = "minecraft:prismarine_bricks_stairs";
    MinecraftBlockTypes["PrismarineStairs"] = "minecraft:prismarine_stairs";
    MinecraftBlockTypes["Pumpkin"] = "minecraft:pumpkin";
    MinecraftBlockTypes["PumpkinStem"] = "minecraft:pumpkin_stem";
    MinecraftBlockTypes["PurpleCandle"] = "minecraft:purple_candle";
    MinecraftBlockTypes["PurpleCandleCake"] = "minecraft:purple_candle_cake";
    MinecraftBlockTypes["PurpleCarpet"] = "minecraft:purple_carpet";
    MinecraftBlockTypes["PurpleGlazedTerracotta"] = "minecraft:purple_glazed_terracotta";
    MinecraftBlockTypes["PurpleShulkerBox"] = "minecraft:purple_shulker_box";
    MinecraftBlockTypes["PurpleWool"] = "minecraft:purple_wool";
    MinecraftBlockTypes["PurpurBlock"] = "minecraft:purpur_block";
    MinecraftBlockTypes["PurpurStairs"] = "minecraft:purpur_stairs";
    MinecraftBlockTypes["QuartzBlock"] = "minecraft:quartz_block";
    MinecraftBlockTypes["QuartzBricks"] = "minecraft:quartz_bricks";
    MinecraftBlockTypes["QuartzOre"] = "minecraft:quartz_ore";
    MinecraftBlockTypes["QuartzStairs"] = "minecraft:quartz_stairs";
    MinecraftBlockTypes["Rail"] = "minecraft:rail";
    MinecraftBlockTypes["RawCopperBlock"] = "minecraft:raw_copper_block";
    MinecraftBlockTypes["RawGoldBlock"] = "minecraft:raw_gold_block";
    MinecraftBlockTypes["RawIronBlock"] = "minecraft:raw_iron_block";
    MinecraftBlockTypes["RedCandle"] = "minecraft:red_candle";
    MinecraftBlockTypes["RedCandleCake"] = "minecraft:red_candle_cake";
    MinecraftBlockTypes["RedCarpet"] = "minecraft:red_carpet";
    MinecraftBlockTypes["RedFlower"] = "minecraft:red_flower";
    MinecraftBlockTypes["RedGlazedTerracotta"] = "minecraft:red_glazed_terracotta";
    MinecraftBlockTypes["RedMushroom"] = "minecraft:red_mushroom";
    MinecraftBlockTypes["RedMushroomBlock"] = "minecraft:red_mushroom_block";
    MinecraftBlockTypes["RedNetherBrick"] = "minecraft:red_nether_brick";
    MinecraftBlockTypes["RedNetherBrickStairs"] = "minecraft:red_nether_brick_stairs";
    MinecraftBlockTypes["RedSandstone"] = "minecraft:red_sandstone";
    MinecraftBlockTypes["RedSandstoneStairs"] = "minecraft:red_sandstone_stairs";
    MinecraftBlockTypes["RedShulkerBox"] = "minecraft:red_shulker_box";
    MinecraftBlockTypes["RedWool"] = "minecraft:red_wool";
    MinecraftBlockTypes["RedstoneBlock"] = "minecraft:redstone_block";
    MinecraftBlockTypes["RedstoneLamp"] = "minecraft:redstone_lamp";
    MinecraftBlockTypes["RedstoneOre"] = "minecraft:redstone_ore";
    MinecraftBlockTypes["RedstoneTorch"] = "minecraft:redstone_torch";
    MinecraftBlockTypes["RedstoneWire"] = "minecraft:redstone_wire";
    MinecraftBlockTypes["Reeds"] = "minecraft:reeds";
    MinecraftBlockTypes["ReinforcedDeepslate"] = "minecraft:reinforced_deepslate";
    MinecraftBlockTypes["RepeatingCommandBlock"] = "minecraft:repeating_command_block";
    MinecraftBlockTypes["Reserved6"] = "minecraft:reserved6";
    MinecraftBlockTypes["RespawnAnchor"] = "minecraft:respawn_anchor";
    MinecraftBlockTypes["Sand"] = "minecraft:sand";
    MinecraftBlockTypes["Sandstone"] = "minecraft:sandstone";
    MinecraftBlockTypes["SandstoneStairs"] = "minecraft:sandstone_stairs";
    MinecraftBlockTypes["Sapling"] = "minecraft:sapling";
    MinecraftBlockTypes["Scaffolding"] = "minecraft:scaffolding";
    MinecraftBlockTypes["Sculk"] = "minecraft:sculk";
    MinecraftBlockTypes["SculkCatalyst"] = "minecraft:sculk_catalyst";
    MinecraftBlockTypes["SculkSensor"] = "minecraft:sculk_sensor";
    MinecraftBlockTypes["SculkShrieker"] = "minecraft:sculk_shrieker";
    MinecraftBlockTypes["SculkVein"] = "minecraft:sculk_vein";
    MinecraftBlockTypes["SeaLantern"] = "minecraft:sea_lantern";
    MinecraftBlockTypes["SeaPickle"] = "minecraft:sea_pickle";
    MinecraftBlockTypes["Seagrass"] = "minecraft:seagrass";
    MinecraftBlockTypes["Shroomlight"] = "minecraft:shroomlight";
    MinecraftBlockTypes["SilverGlazedTerracotta"] = "minecraft:silver_glazed_terracotta";
    MinecraftBlockTypes["Skull"] = "minecraft:skull";
    MinecraftBlockTypes["Slime"] = "minecraft:slime";
    MinecraftBlockTypes["SmallAmethystBud"] = "minecraft:small_amethyst_bud";
    MinecraftBlockTypes["SmallDripleafBlock"] = "minecraft:small_dripleaf_block";
    MinecraftBlockTypes["SmithingTable"] = "minecraft:smithing_table";
    MinecraftBlockTypes["Smoker"] = "minecraft:smoker";
    MinecraftBlockTypes["SmoothBasalt"] = "minecraft:smooth_basalt";
    MinecraftBlockTypes["SmoothQuartzStairs"] = "minecraft:smooth_quartz_stairs";
    MinecraftBlockTypes["SmoothRedSandstoneStairs"] = "minecraft:smooth_red_sandstone_stairs";
    MinecraftBlockTypes["SmoothSandstoneStairs"] = "minecraft:smooth_sandstone_stairs";
    MinecraftBlockTypes["SmoothStone"] = "minecraft:smooth_stone";
    MinecraftBlockTypes["SnifferEgg"] = "minecraft:sniffer_egg";
    MinecraftBlockTypes["Snow"] = "minecraft:snow";
    MinecraftBlockTypes["SnowLayer"] = "minecraft:snow_layer";
    MinecraftBlockTypes["SoulCampfire"] = "minecraft:soul_campfire";
    MinecraftBlockTypes["SoulFire"] = "minecraft:soul_fire";
    MinecraftBlockTypes["SoulLantern"] = "minecraft:soul_lantern";
    MinecraftBlockTypes["SoulSand"] = "minecraft:soul_sand";
    MinecraftBlockTypes["SoulSoil"] = "minecraft:soul_soil";
    MinecraftBlockTypes["SoulTorch"] = "minecraft:soul_torch";
    MinecraftBlockTypes["Sponge"] = "minecraft:sponge";
    MinecraftBlockTypes["SporeBlossom"] = "minecraft:spore_blossom";
    MinecraftBlockTypes["SpruceButton"] = "minecraft:spruce_button";
    MinecraftBlockTypes["SpruceDoor"] = "minecraft:spruce_door";
    MinecraftBlockTypes["SpruceFence"] = "minecraft:spruce_fence";
    MinecraftBlockTypes["SpruceFenceGate"] = "minecraft:spruce_fence_gate";
    MinecraftBlockTypes["SpruceHangingSign"] = "minecraft:spruce_hanging_sign";
    MinecraftBlockTypes["SpruceLog"] = "minecraft:spruce_log";
    MinecraftBlockTypes["SprucePressurePlate"] = "minecraft:spruce_pressure_plate";
    MinecraftBlockTypes["SpruceStairs"] = "minecraft:spruce_stairs";
    MinecraftBlockTypes["SpruceStandingSign"] = "minecraft:spruce_standing_sign";
    MinecraftBlockTypes["SpruceTrapdoor"] = "minecraft:spruce_trapdoor";
    MinecraftBlockTypes["SpruceWallSign"] = "minecraft:spruce_wall_sign";
    MinecraftBlockTypes["StainedGlass"] = "minecraft:stained_glass";
    MinecraftBlockTypes["StainedGlassPane"] = "minecraft:stained_glass_pane";
    MinecraftBlockTypes["StainedHardenedClay"] = "minecraft:stained_hardened_clay";
    MinecraftBlockTypes["StandingBanner"] = "minecraft:standing_banner";
    MinecraftBlockTypes["StandingSign"] = "minecraft:standing_sign";
    MinecraftBlockTypes["StickyPiston"] = "minecraft:sticky_piston";
    MinecraftBlockTypes["StickyPistonArmCollision"] = "minecraft:sticky_piston_arm_collision";
    MinecraftBlockTypes["Stone"] = "minecraft:stone";
    MinecraftBlockTypes["StoneBlockSlab"] = "minecraft:stone_block_slab";
    MinecraftBlockTypes["StoneBlockSlab2"] = "minecraft:stone_block_slab2";
    MinecraftBlockTypes["StoneBlockSlab3"] = "minecraft:stone_block_slab3";
    MinecraftBlockTypes["StoneBlockSlab4"] = "minecraft:stone_block_slab4";
    MinecraftBlockTypes["StoneBrickStairs"] = "minecraft:stone_brick_stairs";
    MinecraftBlockTypes["StoneButton"] = "minecraft:stone_button";
    MinecraftBlockTypes["StonePressurePlate"] = "minecraft:stone_pressure_plate";
    MinecraftBlockTypes["StoneStairs"] = "minecraft:stone_stairs";
    MinecraftBlockTypes["Stonebrick"] = "minecraft:stonebrick";
    MinecraftBlockTypes["Stonecutter"] = "minecraft:stonecutter";
    MinecraftBlockTypes["StonecutterBlock"] = "minecraft:stonecutter_block";
    MinecraftBlockTypes["StrippedAcaciaLog"] = "minecraft:stripped_acacia_log";
    MinecraftBlockTypes["StrippedBambooBlock"] = "minecraft:stripped_bamboo_block";
    MinecraftBlockTypes["StrippedBirchLog"] = "minecraft:stripped_birch_log";
    MinecraftBlockTypes["StrippedCherryLog"] = "minecraft:stripped_cherry_log";
    MinecraftBlockTypes["StrippedCherryWood"] = "minecraft:stripped_cherry_wood";
    MinecraftBlockTypes["StrippedCrimsonHyphae"] = "minecraft:stripped_crimson_hyphae";
    MinecraftBlockTypes["StrippedCrimsonStem"] = "minecraft:stripped_crimson_stem";
    MinecraftBlockTypes["StrippedDarkOakLog"] = "minecraft:stripped_dark_oak_log";
    MinecraftBlockTypes["StrippedJungleLog"] = "minecraft:stripped_jungle_log";
    MinecraftBlockTypes["StrippedMangroveLog"] = "minecraft:stripped_mangrove_log";
    MinecraftBlockTypes["StrippedMangroveWood"] = "minecraft:stripped_mangrove_wood";
    MinecraftBlockTypes["StrippedOakLog"] = "minecraft:stripped_oak_log";
    MinecraftBlockTypes["StrippedSpruceLog"] = "minecraft:stripped_spruce_log";
    MinecraftBlockTypes["StrippedWarpedHyphae"] = "minecraft:stripped_warped_hyphae";
    MinecraftBlockTypes["StrippedWarpedStem"] = "minecraft:stripped_warped_stem";
    MinecraftBlockTypes["StructureBlock"] = "minecraft:structure_block";
    MinecraftBlockTypes["StructureVoid"] = "minecraft:structure_void";
    MinecraftBlockTypes["SuspiciousGravel"] = "minecraft:suspicious_gravel";
    MinecraftBlockTypes["SuspiciousSand"] = "minecraft:suspicious_sand";
    MinecraftBlockTypes["SweetBerryBush"] = "minecraft:sweet_berry_bush";
    MinecraftBlockTypes["Tallgrass"] = "minecraft:tallgrass";
    MinecraftBlockTypes["Target"] = "minecraft:target";
    MinecraftBlockTypes["TintedGlass"] = "minecraft:tinted_glass";
    MinecraftBlockTypes["Tnt"] = "minecraft:tnt";
    MinecraftBlockTypes["Torch"] = "minecraft:torch";
    MinecraftBlockTypes["Torchflower"] = "minecraft:torchflower";
    MinecraftBlockTypes["TorchflowerCrop"] = "minecraft:torchflower_crop";
    MinecraftBlockTypes["Trapdoor"] = "minecraft:trapdoor";
    MinecraftBlockTypes["TrappedChest"] = "minecraft:trapped_chest";
    MinecraftBlockTypes["TripWire"] = "minecraft:trip_wire";
    MinecraftBlockTypes["TripwireHook"] = "minecraft:tripwire_hook";
    MinecraftBlockTypes["TubeCoral"] = "minecraft:tube_coral";
    MinecraftBlockTypes["Tuff"] = "minecraft:tuff";
    MinecraftBlockTypes["TurtleEgg"] = "minecraft:turtle_egg";
    MinecraftBlockTypes["TwistingVines"] = "minecraft:twisting_vines";
    MinecraftBlockTypes["UnderwaterTorch"] = "minecraft:underwater_torch";
    MinecraftBlockTypes["UndyedShulkerBox"] = "minecraft:undyed_shulker_box";
    MinecraftBlockTypes["Unknown"] = "minecraft:unknown";
    MinecraftBlockTypes["UnlitRedstoneTorch"] = "minecraft:unlit_redstone_torch";
    MinecraftBlockTypes["UnpoweredComparator"] = "minecraft:unpowered_comparator";
    MinecraftBlockTypes["UnpoweredRepeater"] = "minecraft:unpowered_repeater";
    MinecraftBlockTypes["VerdantFroglight"] = "minecraft:verdant_froglight";
    MinecraftBlockTypes["Vine"] = "minecraft:vine";
    MinecraftBlockTypes["WallBanner"] = "minecraft:wall_banner";
    MinecraftBlockTypes["WallSign"] = "minecraft:wall_sign";
    MinecraftBlockTypes["WarpedButton"] = "minecraft:warped_button";
    MinecraftBlockTypes["WarpedDoor"] = "minecraft:warped_door";
    MinecraftBlockTypes["WarpedDoubleSlab"] = "minecraft:warped_double_slab";
    MinecraftBlockTypes["WarpedFence"] = "minecraft:warped_fence";
    MinecraftBlockTypes["WarpedFenceGate"] = "minecraft:warped_fence_gate";
    MinecraftBlockTypes["WarpedFungus"] = "minecraft:warped_fungus";
    MinecraftBlockTypes["WarpedHangingSign"] = "minecraft:warped_hanging_sign";
    MinecraftBlockTypes["WarpedHyphae"] = "minecraft:warped_hyphae";
    MinecraftBlockTypes["WarpedNylium"] = "minecraft:warped_nylium";
    MinecraftBlockTypes["WarpedPlanks"] = "minecraft:warped_planks";
    MinecraftBlockTypes["WarpedPressurePlate"] = "minecraft:warped_pressure_plate";
    MinecraftBlockTypes["WarpedRoots"] = "minecraft:warped_roots";
    MinecraftBlockTypes["WarpedSlab"] = "minecraft:warped_slab";
    MinecraftBlockTypes["WarpedStairs"] = "minecraft:warped_stairs";
    MinecraftBlockTypes["WarpedStandingSign"] = "minecraft:warped_standing_sign";
    MinecraftBlockTypes["WarpedStem"] = "minecraft:warped_stem";
    MinecraftBlockTypes["WarpedTrapdoor"] = "minecraft:warped_trapdoor";
    MinecraftBlockTypes["WarpedWallSign"] = "minecraft:warped_wall_sign";
    MinecraftBlockTypes["WarpedWartBlock"] = "minecraft:warped_wart_block";
    MinecraftBlockTypes["Water"] = "minecraft:water";
    MinecraftBlockTypes["Waterlily"] = "minecraft:waterlily";
    MinecraftBlockTypes["WaxedCopper"] = "minecraft:waxed_copper";
    MinecraftBlockTypes["WaxedCutCopper"] = "minecraft:waxed_cut_copper";
    MinecraftBlockTypes["WaxedCutCopperSlab"] = "minecraft:waxed_cut_copper_slab";
    MinecraftBlockTypes["WaxedCutCopperStairs"] = "minecraft:waxed_cut_copper_stairs";
    MinecraftBlockTypes["WaxedDoubleCutCopperSlab"] = "minecraft:waxed_double_cut_copper_slab";
    MinecraftBlockTypes["WaxedExposedCopper"] = "minecraft:waxed_exposed_copper";
    MinecraftBlockTypes["WaxedExposedCutCopper"] = "minecraft:waxed_exposed_cut_copper";
    MinecraftBlockTypes["WaxedExposedCutCopperSlab"] = "minecraft:waxed_exposed_cut_copper_slab";
    MinecraftBlockTypes["WaxedExposedCutCopperStairs"] = "minecraft:waxed_exposed_cut_copper_stairs";
    MinecraftBlockTypes["WaxedExposedDoubleCutCopperSlab"] = "minecraft:waxed_exposed_double_cut_copper_slab";
    MinecraftBlockTypes["WaxedOxidizedCopper"] = "minecraft:waxed_oxidized_copper";
    MinecraftBlockTypes["WaxedOxidizedCutCopper"] = "minecraft:waxed_oxidized_cut_copper";
    MinecraftBlockTypes["WaxedOxidizedCutCopperSlab"] = "minecraft:waxed_oxidized_cut_copper_slab";
    MinecraftBlockTypes["WaxedOxidizedCutCopperStairs"] = "minecraft:waxed_oxidized_cut_copper_stairs";
    MinecraftBlockTypes["WaxedOxidizedDoubleCutCopperSlab"] = "minecraft:waxed_oxidized_double_cut_copper_slab";
    MinecraftBlockTypes["WaxedWeatheredCopper"] = "minecraft:waxed_weathered_copper";
    MinecraftBlockTypes["WaxedWeatheredCutCopper"] = "minecraft:waxed_weathered_cut_copper";
    MinecraftBlockTypes["WaxedWeatheredCutCopperSlab"] = "minecraft:waxed_weathered_cut_copper_slab";
    MinecraftBlockTypes["WaxedWeatheredCutCopperStairs"] = "minecraft:waxed_weathered_cut_copper_stairs";
    MinecraftBlockTypes["WaxedWeatheredDoubleCutCopperSlab"] = "minecraft:waxed_weathered_double_cut_copper_slab";
    MinecraftBlockTypes["WeatheredCopper"] = "minecraft:weathered_copper";
    MinecraftBlockTypes["WeatheredCutCopper"] = "minecraft:weathered_cut_copper";
    MinecraftBlockTypes["WeatheredCutCopperSlab"] = "minecraft:weathered_cut_copper_slab";
    MinecraftBlockTypes["WeatheredCutCopperStairs"] = "minecraft:weathered_cut_copper_stairs";
    MinecraftBlockTypes["WeatheredDoubleCutCopperSlab"] = "minecraft:weathered_double_cut_copper_slab";
    MinecraftBlockTypes["Web"] = "minecraft:web";
    MinecraftBlockTypes["WeepingVines"] = "minecraft:weeping_vines";
    MinecraftBlockTypes["Wheat"] = "minecraft:wheat";
    MinecraftBlockTypes["WhiteCandle"] = "minecraft:white_candle";
    MinecraftBlockTypes["WhiteCandleCake"] = "minecraft:white_candle_cake";
    MinecraftBlockTypes["WhiteCarpet"] = "minecraft:white_carpet";
    MinecraftBlockTypes["WhiteGlazedTerracotta"] = "minecraft:white_glazed_terracotta";
    MinecraftBlockTypes["WhiteShulkerBox"] = "minecraft:white_shulker_box";
    MinecraftBlockTypes["WhiteWool"] = "minecraft:white_wool";
    MinecraftBlockTypes["WitherRose"] = "minecraft:wither_rose";
    MinecraftBlockTypes["Wood"] = "minecraft:wood";
    MinecraftBlockTypes["WoodenButton"] = "minecraft:wooden_button";
    MinecraftBlockTypes["WoodenDoor"] = "minecraft:wooden_door";
    MinecraftBlockTypes["WoodenPressurePlate"] = "minecraft:wooden_pressure_plate";
    MinecraftBlockTypes["WoodenSlab"] = "minecraft:wooden_slab";
    MinecraftBlockTypes["YellowCandle"] = "minecraft:yellow_candle";
    MinecraftBlockTypes["YellowCandleCake"] = "minecraft:yellow_candle_cake";
    MinecraftBlockTypes["YellowCarpet"] = "minecraft:yellow_carpet";
    MinecraftBlockTypes["YellowFlower"] = "minecraft:yellow_flower";
    MinecraftBlockTypes["YellowGlazedTerracotta"] = "minecraft:yellow_glazed_terracotta";
    MinecraftBlockTypes["YellowShulkerBox"] = "minecraft:yellow_shulker_box";
    MinecraftBlockTypes["YellowWool"] = "minecraft:yellow_wool";
})(MinecraftBlockTypes || (MinecraftBlockTypes = {}));
