// Vanilla Data for Minecraft Bedrock Edition script APIs
// Project: https://docs.microsoft.com/minecraft/creator/
// Definitions by: Jake Shirley <https://github.com/JakeShirley>
//                 Mike Ammerlaan <https://github.com/mammerla>
//                 Raphael Landaverde <https://github.com/rlandav>
/* *****************************************************************************
   Copyright (c) Microsoft Corporation.
   ***************************************************************************** */
/**
 * All possible MinecraftItemTypes
 */
export var MinecraftItemTypes;
(function (MinecraftItemTypes) {
    MinecraftItemTypes["AcaciaBoat"] = "minecraft:acacia_boat";
    MinecraftItemTypes["AcaciaButton"] = "minecraft:acacia_button";
    MinecraftItemTypes["AcaciaChestBoat"] = "minecraft:acacia_chest_boat";
    MinecraftItemTypes["AcaciaDoor"] = "minecraft:acacia_door";
    MinecraftItemTypes["AcaciaFence"] = "minecraft:acacia_fence";
    MinecraftItemTypes["AcaciaFenceGate"] = "minecraft:acacia_fence_gate";
    MinecraftItemTypes["AcaciaHangingSign"] = "minecraft:acacia_hanging_sign";
    MinecraftItemTypes["AcaciaLog"] = "minecraft:acacia_log";
    MinecraftItemTypes["AcaciaPressurePlate"] = "minecraft:acacia_pressure_plate";
    MinecraftItemTypes["AcaciaSign"] = "minecraft:acacia_sign";
    MinecraftItemTypes["AcaciaStairs"] = "minecraft:acacia_stairs";
    MinecraftItemTypes["AcaciaTrapdoor"] = "minecraft:acacia_trapdoor";
    MinecraftItemTypes["ActivatorRail"] = "minecraft:activator_rail";
    MinecraftItemTypes["AllaySpawnEgg"] = "minecraft:allay_spawn_egg";
    MinecraftItemTypes["Allow"] = "minecraft:allow";
    MinecraftItemTypes["AmethystBlock"] = "minecraft:amethyst_block";
    MinecraftItemTypes["AmethystCluster"] = "minecraft:amethyst_cluster";
    MinecraftItemTypes["AmethystShard"] = "minecraft:amethyst_shard";
    MinecraftItemTypes["AncientDebris"] = "minecraft:ancient_debris";
    MinecraftItemTypes["AndesiteStairs"] = "minecraft:andesite_stairs";
    MinecraftItemTypes["AnglerPotterySherd"] = "minecraft:angler_pottery_sherd";
    MinecraftItemTypes["Anvil"] = "minecraft:anvil";
    MinecraftItemTypes["Apple"] = "minecraft:apple";
    MinecraftItemTypes["ArcherPotterySherd"] = "minecraft:archer_pottery_sherd";
    MinecraftItemTypes["ArmorStand"] = "minecraft:armor_stand";
    MinecraftItemTypes["ArmsUpPotterySherd"] = "minecraft:arms_up_pottery_sherd";
    MinecraftItemTypes["Arrow"] = "minecraft:arrow";
    MinecraftItemTypes["AxolotlBucket"] = "minecraft:axolotl_bucket";
    MinecraftItemTypes["AxolotlSpawnEgg"] = "minecraft:axolotl_spawn_egg";
    MinecraftItemTypes["Azalea"] = "minecraft:azalea";
    MinecraftItemTypes["AzaleaLeaves"] = "minecraft:azalea_leaves";
    MinecraftItemTypes["AzaleaLeavesFlowered"] = "minecraft:azalea_leaves_flowered";
    MinecraftItemTypes["BakedPotato"] = "minecraft:baked_potato";
    MinecraftItemTypes["Bamboo"] = "minecraft:bamboo";
    MinecraftItemTypes["BambooBlock"] = "minecraft:bamboo_block";
    MinecraftItemTypes["BambooButton"] = "minecraft:bamboo_button";
    MinecraftItemTypes["BambooChestRaft"] = "minecraft:bamboo_chest_raft";
    MinecraftItemTypes["BambooDoor"] = "minecraft:bamboo_door";
    MinecraftItemTypes["BambooFence"] = "minecraft:bamboo_fence";
    MinecraftItemTypes["BambooFenceGate"] = "minecraft:bamboo_fence_gate";
    MinecraftItemTypes["BambooHangingSign"] = "minecraft:bamboo_hanging_sign";
    MinecraftItemTypes["BambooMosaic"] = "minecraft:bamboo_mosaic";
    MinecraftItemTypes["BambooMosaicSlab"] = "minecraft:bamboo_mosaic_slab";
    MinecraftItemTypes["BambooMosaicStairs"] = "minecraft:bamboo_mosaic_stairs";
    MinecraftItemTypes["BambooPlanks"] = "minecraft:bamboo_planks";
    MinecraftItemTypes["BambooPressurePlate"] = "minecraft:bamboo_pressure_plate";
    MinecraftItemTypes["BambooRaft"] = "minecraft:bamboo_raft";
    MinecraftItemTypes["BambooSign"] = "minecraft:bamboo_sign";
    MinecraftItemTypes["BambooSlab"] = "minecraft:bamboo_slab";
    MinecraftItemTypes["BambooStairs"] = "minecraft:bamboo_stairs";
    MinecraftItemTypes["BambooTrapdoor"] = "minecraft:bamboo_trapdoor";
    MinecraftItemTypes["Banner"] = "minecraft:banner";
    MinecraftItemTypes["BannerPattern"] = "minecraft:banner_pattern";
    MinecraftItemTypes["Barrel"] = "minecraft:barrel";
    MinecraftItemTypes["Barrier"] = "minecraft:barrier";
    MinecraftItemTypes["Basalt"] = "minecraft:basalt";
    MinecraftItemTypes["BatSpawnEgg"] = "minecraft:bat_spawn_egg";
    MinecraftItemTypes["Beacon"] = "minecraft:beacon";
    MinecraftItemTypes["Bed"] = "minecraft:bed";
    MinecraftItemTypes["Bedrock"] = "minecraft:bedrock";
    MinecraftItemTypes["BeeNest"] = "minecraft:bee_nest";
    MinecraftItemTypes["BeeSpawnEgg"] = "minecraft:bee_spawn_egg";
    MinecraftItemTypes["Beef"] = "minecraft:beef";
    MinecraftItemTypes["Beehive"] = "minecraft:beehive";
    MinecraftItemTypes["Beetroot"] = "minecraft:beetroot";
    MinecraftItemTypes["BeetrootSeeds"] = "minecraft:beetroot_seeds";
    MinecraftItemTypes["BeetrootSoup"] = "minecraft:beetroot_soup";
    MinecraftItemTypes["Bell"] = "minecraft:bell";
    MinecraftItemTypes["BigDripleaf"] = "minecraft:big_dripleaf";
    MinecraftItemTypes["BirchBoat"] = "minecraft:birch_boat";
    MinecraftItemTypes["BirchButton"] = "minecraft:birch_button";
    MinecraftItemTypes["BirchChestBoat"] = "minecraft:birch_chest_boat";
    MinecraftItemTypes["BirchDoor"] = "minecraft:birch_door";
    MinecraftItemTypes["BirchFence"] = "minecraft:birch_fence";
    MinecraftItemTypes["BirchFenceGate"] = "minecraft:birch_fence_gate";
    MinecraftItemTypes["BirchHangingSign"] = "minecraft:birch_hanging_sign";
    MinecraftItemTypes["BirchLog"] = "minecraft:birch_log";
    MinecraftItemTypes["BirchPressurePlate"] = "minecraft:birch_pressure_plate";
    MinecraftItemTypes["BirchSign"] = "minecraft:birch_sign";
    MinecraftItemTypes["BirchStairs"] = "minecraft:birch_stairs";
    MinecraftItemTypes["BirchTrapdoor"] = "minecraft:birch_trapdoor";
    MinecraftItemTypes["BlackCandle"] = "minecraft:black_candle";
    MinecraftItemTypes["BlackCarpet"] = "minecraft:black_carpet";
    MinecraftItemTypes["BlackDye"] = "minecraft:black_dye";
    MinecraftItemTypes["BlackGlazedTerracotta"] = "minecraft:black_glazed_terracotta";
    MinecraftItemTypes["BlackShulkerBox"] = "minecraft:black_shulker_box";
    MinecraftItemTypes["BlackWool"] = "minecraft:black_wool";
    MinecraftItemTypes["Blackstone"] = "minecraft:blackstone";
    MinecraftItemTypes["BlackstoneSlab"] = "minecraft:blackstone_slab";
    MinecraftItemTypes["BlackstoneStairs"] = "minecraft:blackstone_stairs";
    MinecraftItemTypes["BlackstoneWall"] = "minecraft:blackstone_wall";
    MinecraftItemTypes["BladePotterySherd"] = "minecraft:blade_pottery_sherd";
    MinecraftItemTypes["BlastFurnace"] = "minecraft:blast_furnace";
    MinecraftItemTypes["BlazePowder"] = "minecraft:blaze_powder";
    MinecraftItemTypes["BlazeRod"] = "minecraft:blaze_rod";
    MinecraftItemTypes["BlazeSpawnEgg"] = "minecraft:blaze_spawn_egg";
    MinecraftItemTypes["BlueCandle"] = "minecraft:blue_candle";
    MinecraftItemTypes["BlueCarpet"] = "minecraft:blue_carpet";
    MinecraftItemTypes["BlueDye"] = "minecraft:blue_dye";
    MinecraftItemTypes["BlueGlazedTerracotta"] = "minecraft:blue_glazed_terracotta";
    MinecraftItemTypes["BlueIce"] = "minecraft:blue_ice";
    MinecraftItemTypes["BlueShulkerBox"] = "minecraft:blue_shulker_box";
    MinecraftItemTypes["BlueWool"] = "minecraft:blue_wool";
    MinecraftItemTypes["Boat"] = "minecraft:boat";
    MinecraftItemTypes["Bone"] = "minecraft:bone";
    MinecraftItemTypes["BoneBlock"] = "minecraft:bone_block";
    MinecraftItemTypes["BoneMeal"] = "minecraft:bone_meal";
    MinecraftItemTypes["Book"] = "minecraft:book";
    MinecraftItemTypes["Bookshelf"] = "minecraft:bookshelf";
    MinecraftItemTypes["BorderBlock"] = "minecraft:border_block";
    MinecraftItemTypes["BordureIndentedBannerPattern"] = "minecraft:bordure_indented_banner_pattern";
    MinecraftItemTypes["Bow"] = "minecraft:bow";
    MinecraftItemTypes["Bowl"] = "minecraft:bowl";
    MinecraftItemTypes["BrainCoral"] = "minecraft:brain_coral";
    MinecraftItemTypes["Bread"] = "minecraft:bread";
    MinecraftItemTypes["BrewerPotterySherd"] = "minecraft:brewer_pottery_sherd";
    MinecraftItemTypes["BrewingStand"] = "minecraft:brewing_stand";
    MinecraftItemTypes["Brick"] = "minecraft:brick";
    MinecraftItemTypes["BrickBlock"] = "minecraft:brick_block";
    MinecraftItemTypes["BrickStairs"] = "minecraft:brick_stairs";
    MinecraftItemTypes["BrownCandle"] = "minecraft:brown_candle";
    MinecraftItemTypes["BrownCarpet"] = "minecraft:brown_carpet";
    MinecraftItemTypes["BrownDye"] = "minecraft:brown_dye";
    MinecraftItemTypes["BrownGlazedTerracotta"] = "minecraft:brown_glazed_terracotta";
    MinecraftItemTypes["BrownMushroom"] = "minecraft:brown_mushroom";
    MinecraftItemTypes["BrownMushroomBlock"] = "minecraft:brown_mushroom_block";
    MinecraftItemTypes["BrownShulkerBox"] = "minecraft:brown_shulker_box";
    MinecraftItemTypes["BrownWool"] = "minecraft:brown_wool";
    MinecraftItemTypes["Brush"] = "minecraft:brush";
    MinecraftItemTypes["BubbleCoral"] = "minecraft:bubble_coral";
    MinecraftItemTypes["Bucket"] = "minecraft:bucket";
    MinecraftItemTypes["BuddingAmethyst"] = "minecraft:budding_amethyst";
    MinecraftItemTypes["BurnPotterySherd"] = "minecraft:burn_pottery_sherd";
    MinecraftItemTypes["Cactus"] = "minecraft:cactus";
    MinecraftItemTypes["Cake"] = "minecraft:cake";
    MinecraftItemTypes["Calcite"] = "minecraft:calcite";
    MinecraftItemTypes["CalibratedSculkSensor"] = "minecraft:calibrated_sculk_sensor";
    MinecraftItemTypes["CamelSpawnEgg"] = "minecraft:camel_spawn_egg";
    MinecraftItemTypes["Campfire"] = "minecraft:campfire";
    MinecraftItemTypes["Candle"] = "minecraft:candle";
    MinecraftItemTypes["Carpet"] = "minecraft:carpet";
    MinecraftItemTypes["Carrot"] = "minecraft:carrot";
    MinecraftItemTypes["CarrotOnAStick"] = "minecraft:carrot_on_a_stick";
    MinecraftItemTypes["CartographyTable"] = "minecraft:cartography_table";
    MinecraftItemTypes["CarvedPumpkin"] = "minecraft:carved_pumpkin";
    MinecraftItemTypes["CatSpawnEgg"] = "minecraft:cat_spawn_egg";
    MinecraftItemTypes["Cauldron"] = "minecraft:cauldron";
    MinecraftItemTypes["CaveSpiderSpawnEgg"] = "minecraft:cave_spider_spawn_egg";
    MinecraftItemTypes["Chain"] = "minecraft:chain";
    MinecraftItemTypes["ChainCommandBlock"] = "minecraft:chain_command_block";
    MinecraftItemTypes["ChainmailBoots"] = "minecraft:chainmail_boots";
    MinecraftItemTypes["ChainmailChestplate"] = "minecraft:chainmail_chestplate";
    MinecraftItemTypes["ChainmailHelmet"] = "minecraft:chainmail_helmet";
    MinecraftItemTypes["ChainmailLeggings"] = "minecraft:chainmail_leggings";
    MinecraftItemTypes["Charcoal"] = "minecraft:charcoal";
    MinecraftItemTypes["CherryBoat"] = "minecraft:cherry_boat";
    MinecraftItemTypes["CherryButton"] = "minecraft:cherry_button";
    MinecraftItemTypes["CherryChestBoat"] = "minecraft:cherry_chest_boat";
    MinecraftItemTypes["CherryDoor"] = "minecraft:cherry_door";
    MinecraftItemTypes["CherryFence"] = "minecraft:cherry_fence";
    MinecraftItemTypes["CherryFenceGate"] = "minecraft:cherry_fence_gate";
    MinecraftItemTypes["CherryHangingSign"] = "minecraft:cherry_hanging_sign";
    MinecraftItemTypes["CherryLeaves"] = "minecraft:cherry_leaves";
    MinecraftItemTypes["CherryLog"] = "minecraft:cherry_log";
    MinecraftItemTypes["CherryPlanks"] = "minecraft:cherry_planks";
    MinecraftItemTypes["CherryPressurePlate"] = "minecraft:cherry_pressure_plate";
    MinecraftItemTypes["CherrySapling"] = "minecraft:cherry_sapling";
    MinecraftItemTypes["CherrySign"] = "minecraft:cherry_sign";
    MinecraftItemTypes["CherrySlab"] = "minecraft:cherry_slab";
    MinecraftItemTypes["CherryStairs"] = "minecraft:cherry_stairs";
    MinecraftItemTypes["CherryTrapdoor"] = "minecraft:cherry_trapdoor";
    MinecraftItemTypes["CherryWood"] = "minecraft:cherry_wood";
    MinecraftItemTypes["Chest"] = "minecraft:chest";
    MinecraftItemTypes["ChestBoat"] = "minecraft:chest_boat";
    MinecraftItemTypes["ChestMinecart"] = "minecraft:chest_minecart";
    MinecraftItemTypes["Chicken"] = "minecraft:chicken";
    MinecraftItemTypes["ChickenSpawnEgg"] = "minecraft:chicken_spawn_egg";
    MinecraftItemTypes["ChiseledBookshelf"] = "minecraft:chiseled_bookshelf";
    MinecraftItemTypes["ChiseledDeepslate"] = "minecraft:chiseled_deepslate";
    MinecraftItemTypes["ChiseledNetherBricks"] = "minecraft:chiseled_nether_bricks";
    MinecraftItemTypes["ChiseledPolishedBlackstone"] = "minecraft:chiseled_polished_blackstone";
    MinecraftItemTypes["ChorusFlower"] = "minecraft:chorus_flower";
    MinecraftItemTypes["ChorusFruit"] = "minecraft:chorus_fruit";
    MinecraftItemTypes["ChorusPlant"] = "minecraft:chorus_plant";
    MinecraftItemTypes["Clay"] = "minecraft:clay";
    MinecraftItemTypes["ClayBall"] = "minecraft:clay_ball";
    MinecraftItemTypes["Clock"] = "minecraft:clock";
    MinecraftItemTypes["Coal"] = "minecraft:coal";
    MinecraftItemTypes["CoalBlock"] = "minecraft:coal_block";
    MinecraftItemTypes["CoalOre"] = "minecraft:coal_ore";
    MinecraftItemTypes["CoastArmorTrimSmithingTemplate"] = "minecraft:coast_armor_trim_smithing_template";
    MinecraftItemTypes["CobbledDeepslate"] = "minecraft:cobbled_deepslate";
    MinecraftItemTypes["CobbledDeepslateSlab"] = "minecraft:cobbled_deepslate_slab";
    MinecraftItemTypes["CobbledDeepslateStairs"] = "minecraft:cobbled_deepslate_stairs";
    MinecraftItemTypes["CobbledDeepslateWall"] = "minecraft:cobbled_deepslate_wall";
    MinecraftItemTypes["Cobblestone"] = "minecraft:cobblestone";
    MinecraftItemTypes["CobblestoneWall"] = "minecraft:cobblestone_wall";
    MinecraftItemTypes["CocoaBeans"] = "minecraft:cocoa_beans";
    MinecraftItemTypes["Cod"] = "minecraft:cod";
    MinecraftItemTypes["CodBucket"] = "minecraft:cod_bucket";
    MinecraftItemTypes["CodSpawnEgg"] = "minecraft:cod_spawn_egg";
    MinecraftItemTypes["CommandBlock"] = "minecraft:command_block";
    MinecraftItemTypes["CommandBlockMinecart"] = "minecraft:command_block_minecart";
    MinecraftItemTypes["Comparator"] = "minecraft:comparator";
    MinecraftItemTypes["Compass"] = "minecraft:compass";
    MinecraftItemTypes["Composter"] = "minecraft:composter";
    MinecraftItemTypes["Concrete"] = "minecraft:concrete";
    MinecraftItemTypes["ConcretePowder"] = "minecraft:concrete_powder";
    MinecraftItemTypes["Conduit"] = "minecraft:conduit";
    MinecraftItemTypes["CookedBeef"] = "minecraft:cooked_beef";
    MinecraftItemTypes["CookedChicken"] = "minecraft:cooked_chicken";
    MinecraftItemTypes["CookedCod"] = "minecraft:cooked_cod";
    MinecraftItemTypes["CookedMutton"] = "minecraft:cooked_mutton";
    MinecraftItemTypes["CookedPorkchop"] = "minecraft:cooked_porkchop";
    MinecraftItemTypes["CookedRabbit"] = "minecraft:cooked_rabbit";
    MinecraftItemTypes["CookedSalmon"] = "minecraft:cooked_salmon";
    MinecraftItemTypes["Cookie"] = "minecraft:cookie";
    MinecraftItemTypes["CopperBlock"] = "minecraft:copper_block";
    MinecraftItemTypes["CopperIngot"] = "minecraft:copper_ingot";
    MinecraftItemTypes["CopperOre"] = "minecraft:copper_ore";
    MinecraftItemTypes["Coral"] = "minecraft:coral";
    MinecraftItemTypes["CoralBlock"] = "minecraft:coral_block";
    MinecraftItemTypes["CoralFan"] = "minecraft:coral_fan";
    MinecraftItemTypes["CoralFanDead"] = "minecraft:coral_fan_dead";
    MinecraftItemTypes["CowSpawnEgg"] = "minecraft:cow_spawn_egg";
    MinecraftItemTypes["CrackedDeepslateBricks"] = "minecraft:cracked_deepslate_bricks";
    MinecraftItemTypes["CrackedDeepslateTiles"] = "minecraft:cracked_deepslate_tiles";
    MinecraftItemTypes["CrackedNetherBricks"] = "minecraft:cracked_nether_bricks";
    MinecraftItemTypes["CrackedPolishedBlackstoneBricks"] = "minecraft:cracked_polished_blackstone_bricks";
    MinecraftItemTypes["CraftingTable"] = "minecraft:crafting_table";
    MinecraftItemTypes["CreeperBannerPattern"] = "minecraft:creeper_banner_pattern";
    MinecraftItemTypes["CreeperSpawnEgg"] = "minecraft:creeper_spawn_egg";
    MinecraftItemTypes["CrimsonButton"] = "minecraft:crimson_button";
    MinecraftItemTypes["CrimsonDoor"] = "minecraft:crimson_door";
    MinecraftItemTypes["CrimsonFence"] = "minecraft:crimson_fence";
    MinecraftItemTypes["CrimsonFenceGate"] = "minecraft:crimson_fence_gate";
    MinecraftItemTypes["CrimsonFungus"] = "minecraft:crimson_fungus";
    MinecraftItemTypes["CrimsonHangingSign"] = "minecraft:crimson_hanging_sign";
    MinecraftItemTypes["CrimsonHyphae"] = "minecraft:crimson_hyphae";
    MinecraftItemTypes["CrimsonNylium"] = "minecraft:crimson_nylium";
    MinecraftItemTypes["CrimsonPlanks"] = "minecraft:crimson_planks";
    MinecraftItemTypes["CrimsonPressurePlate"] = "minecraft:crimson_pressure_plate";
    MinecraftItemTypes["CrimsonRoots"] = "minecraft:crimson_roots";
    MinecraftItemTypes["CrimsonSign"] = "minecraft:crimson_sign";
    MinecraftItemTypes["CrimsonSlab"] = "minecraft:crimson_slab";
    MinecraftItemTypes["CrimsonStairs"] = "minecraft:crimson_stairs";
    MinecraftItemTypes["CrimsonStem"] = "minecraft:crimson_stem";
    MinecraftItemTypes["CrimsonTrapdoor"] = "minecraft:crimson_trapdoor";
    MinecraftItemTypes["Crossbow"] = "minecraft:crossbow";
    MinecraftItemTypes["CryingObsidian"] = "minecraft:crying_obsidian";
    MinecraftItemTypes["CutCopper"] = "minecraft:cut_copper";
    MinecraftItemTypes["CutCopperSlab"] = "minecraft:cut_copper_slab";
    MinecraftItemTypes["CutCopperStairs"] = "minecraft:cut_copper_stairs";
    MinecraftItemTypes["CyanCandle"] = "minecraft:cyan_candle";
    MinecraftItemTypes["CyanCarpet"] = "minecraft:cyan_carpet";
    MinecraftItemTypes["CyanDye"] = "minecraft:cyan_dye";
    MinecraftItemTypes["CyanGlazedTerracotta"] = "minecraft:cyan_glazed_terracotta";
    MinecraftItemTypes["CyanShulkerBox"] = "minecraft:cyan_shulker_box";
    MinecraftItemTypes["CyanWool"] = "minecraft:cyan_wool";
    MinecraftItemTypes["DangerPotterySherd"] = "minecraft:danger_pottery_sherd";
    MinecraftItemTypes["DarkOakBoat"] = "minecraft:dark_oak_boat";
    MinecraftItemTypes["DarkOakButton"] = "minecraft:dark_oak_button";
    MinecraftItemTypes["DarkOakChestBoat"] = "minecraft:dark_oak_chest_boat";
    MinecraftItemTypes["DarkOakDoor"] = "minecraft:dark_oak_door";
    MinecraftItemTypes["DarkOakFence"] = "minecraft:dark_oak_fence";
    MinecraftItemTypes["DarkOakFenceGate"] = "minecraft:dark_oak_fence_gate";
    MinecraftItemTypes["DarkOakHangingSign"] = "minecraft:dark_oak_hanging_sign";
    MinecraftItemTypes["DarkOakLog"] = "minecraft:dark_oak_log";
    MinecraftItemTypes["DarkOakPressurePlate"] = "minecraft:dark_oak_pressure_plate";
    MinecraftItemTypes["DarkOakSign"] = "minecraft:dark_oak_sign";
    MinecraftItemTypes["DarkOakStairs"] = "minecraft:dark_oak_stairs";
    MinecraftItemTypes["DarkOakTrapdoor"] = "minecraft:dark_oak_trapdoor";
    MinecraftItemTypes["DarkPrismarineStairs"] = "minecraft:dark_prismarine_stairs";
    MinecraftItemTypes["DaylightDetector"] = "minecraft:daylight_detector";
    MinecraftItemTypes["DeadBrainCoral"] = "minecraft:dead_brain_coral";
    MinecraftItemTypes["DeadBubbleCoral"] = "minecraft:dead_bubble_coral";
    MinecraftItemTypes["DeadFireCoral"] = "minecraft:dead_fire_coral";
    MinecraftItemTypes["DeadHornCoral"] = "minecraft:dead_horn_coral";
    MinecraftItemTypes["DeadTubeCoral"] = "minecraft:dead_tube_coral";
    MinecraftItemTypes["Deadbush"] = "minecraft:deadbush";
    MinecraftItemTypes["DecoratedPot"] = "minecraft:decorated_pot";
    MinecraftItemTypes["Deepslate"] = "minecraft:deepslate";
    MinecraftItemTypes["DeepslateBrickSlab"] = "minecraft:deepslate_brick_slab";
    MinecraftItemTypes["DeepslateBrickStairs"] = "minecraft:deepslate_brick_stairs";
    MinecraftItemTypes["DeepslateBrickWall"] = "minecraft:deepslate_brick_wall";
    MinecraftItemTypes["DeepslateBricks"] = "minecraft:deepslate_bricks";
    MinecraftItemTypes["DeepslateCoalOre"] = "minecraft:deepslate_coal_ore";
    MinecraftItemTypes["DeepslateCopperOre"] = "minecraft:deepslate_copper_ore";
    MinecraftItemTypes["DeepslateDiamondOre"] = "minecraft:deepslate_diamond_ore";
    MinecraftItemTypes["DeepslateEmeraldOre"] = "minecraft:deepslate_emerald_ore";
    MinecraftItemTypes["DeepslateGoldOre"] = "minecraft:deepslate_gold_ore";
    MinecraftItemTypes["DeepslateIronOre"] = "minecraft:deepslate_iron_ore";
    MinecraftItemTypes["DeepslateLapisOre"] = "minecraft:deepslate_lapis_ore";
    MinecraftItemTypes["DeepslateRedstoneOre"] = "minecraft:deepslate_redstone_ore";
    MinecraftItemTypes["DeepslateTileSlab"] = "minecraft:deepslate_tile_slab";
    MinecraftItemTypes["DeepslateTileStairs"] = "minecraft:deepslate_tile_stairs";
    MinecraftItemTypes["DeepslateTileWall"] = "minecraft:deepslate_tile_wall";
    MinecraftItemTypes["DeepslateTiles"] = "minecraft:deepslate_tiles";
    MinecraftItemTypes["Deny"] = "minecraft:deny";
    MinecraftItemTypes["DetectorRail"] = "minecraft:detector_rail";
    MinecraftItemTypes["Diamond"] = "minecraft:diamond";
    MinecraftItemTypes["DiamondAxe"] = "minecraft:diamond_axe";
    MinecraftItemTypes["DiamondBlock"] = "minecraft:diamond_block";
    MinecraftItemTypes["DiamondBoots"] = "minecraft:diamond_boots";
    MinecraftItemTypes["DiamondChestplate"] = "minecraft:diamond_chestplate";
    MinecraftItemTypes["DiamondHelmet"] = "minecraft:diamond_helmet";
    MinecraftItemTypes["DiamondHoe"] = "minecraft:diamond_hoe";
    MinecraftItemTypes["DiamondHorseArmor"] = "minecraft:diamond_horse_armor";
    MinecraftItemTypes["DiamondLeggings"] = "minecraft:diamond_leggings";
    MinecraftItemTypes["DiamondOre"] = "minecraft:diamond_ore";
    MinecraftItemTypes["DiamondPickaxe"] = "minecraft:diamond_pickaxe";
    MinecraftItemTypes["DiamondShovel"] = "minecraft:diamond_shovel";
    MinecraftItemTypes["DiamondSword"] = "minecraft:diamond_sword";
    MinecraftItemTypes["DioriteStairs"] = "minecraft:diorite_stairs";
    MinecraftItemTypes["Dirt"] = "minecraft:dirt";
    MinecraftItemTypes["DirtWithRoots"] = "minecraft:dirt_with_roots";
    MinecraftItemTypes["DiscFragment5"] = "minecraft:disc_fragment_5";
    MinecraftItemTypes["Dispenser"] = "minecraft:dispenser";
    MinecraftItemTypes["DolphinSpawnEgg"] = "minecraft:dolphin_spawn_egg";
    MinecraftItemTypes["DonkeySpawnEgg"] = "minecraft:donkey_spawn_egg";
    MinecraftItemTypes["DoublePlant"] = "minecraft:double_plant";
    MinecraftItemTypes["DragonBreath"] = "minecraft:dragon_breath";
    MinecraftItemTypes["DragonEgg"] = "minecraft:dragon_egg";
    MinecraftItemTypes["DriedKelp"] = "minecraft:dried_kelp";
    MinecraftItemTypes["DriedKelpBlock"] = "minecraft:dried_kelp_block";
    MinecraftItemTypes["DripstoneBlock"] = "minecraft:dripstone_block";
    MinecraftItemTypes["Dropper"] = "minecraft:dropper";
    MinecraftItemTypes["DrownedSpawnEgg"] = "minecraft:drowned_spawn_egg";
    MinecraftItemTypes["DuneArmorTrimSmithingTemplate"] = "minecraft:dune_armor_trim_smithing_template";
    MinecraftItemTypes["Dye"] = "minecraft:dye";
    MinecraftItemTypes["EchoShard"] = "minecraft:echo_shard";
    MinecraftItemTypes["Egg"] = "minecraft:egg";
    MinecraftItemTypes["ElderGuardianSpawnEgg"] = "minecraft:elder_guardian_spawn_egg";
    MinecraftItemTypes["Elytra"] = "minecraft:elytra";
    MinecraftItemTypes["Emerald"] = "minecraft:emerald";
    MinecraftItemTypes["EmeraldBlock"] = "minecraft:emerald_block";
    MinecraftItemTypes["EmeraldOre"] = "minecraft:emerald_ore";
    MinecraftItemTypes["EmptyMap"] = "minecraft:empty_map";
    MinecraftItemTypes["EnchantedBook"] = "minecraft:enchanted_book";
    MinecraftItemTypes["EnchantedGoldenApple"] = "minecraft:enchanted_golden_apple";
    MinecraftItemTypes["EnchantingTable"] = "minecraft:enchanting_table";
    MinecraftItemTypes["EndBrickStairs"] = "minecraft:end_brick_stairs";
    MinecraftItemTypes["EndBricks"] = "minecraft:end_bricks";
    MinecraftItemTypes["EndCrystal"] = "minecraft:end_crystal";
    MinecraftItemTypes["EndPortalFrame"] = "minecraft:end_portal_frame";
    MinecraftItemTypes["EndRod"] = "minecraft:end_rod";
    MinecraftItemTypes["EndStone"] = "minecraft:end_stone";
    MinecraftItemTypes["EnderChest"] = "minecraft:ender_chest";
    MinecraftItemTypes["EnderDragonSpawnEgg"] = "minecraft:ender_dragon_spawn_egg";
    MinecraftItemTypes["EnderEye"] = "minecraft:ender_eye";
    MinecraftItemTypes["EnderPearl"] = "minecraft:ender_pearl";
    MinecraftItemTypes["EndermanSpawnEgg"] = "minecraft:enderman_spawn_egg";
    MinecraftItemTypes["EndermiteSpawnEgg"] = "minecraft:endermite_spawn_egg";
    MinecraftItemTypes["EvokerSpawnEgg"] = "minecraft:evoker_spawn_egg";
    MinecraftItemTypes["ExperienceBottle"] = "minecraft:experience_bottle";
    MinecraftItemTypes["ExplorerPotterySherd"] = "minecraft:explorer_pottery_sherd";
    MinecraftItemTypes["ExposedCopper"] = "minecraft:exposed_copper";
    MinecraftItemTypes["ExposedCutCopper"] = "minecraft:exposed_cut_copper";
    MinecraftItemTypes["ExposedCutCopperSlab"] = "minecraft:exposed_cut_copper_slab";
    MinecraftItemTypes["ExposedCutCopperStairs"] = "minecraft:exposed_cut_copper_stairs";
    MinecraftItemTypes["EyeArmorTrimSmithingTemplate"] = "minecraft:eye_armor_trim_smithing_template";
    MinecraftItemTypes["Farmland"] = "minecraft:farmland";
    MinecraftItemTypes["Feather"] = "minecraft:feather";
    MinecraftItemTypes["Fence"] = "minecraft:fence";
    MinecraftItemTypes["FenceGate"] = "minecraft:fence_gate";
    MinecraftItemTypes["FermentedSpiderEye"] = "minecraft:fermented_spider_eye";
    MinecraftItemTypes["FieldMasonedBannerPattern"] = "minecraft:field_masoned_banner_pattern";
    MinecraftItemTypes["FilledMap"] = "minecraft:filled_map";
    MinecraftItemTypes["FireCharge"] = "minecraft:fire_charge";
    MinecraftItemTypes["FireCoral"] = "minecraft:fire_coral";
    MinecraftItemTypes["FireworkRocket"] = "minecraft:firework_rocket";
    MinecraftItemTypes["FireworkStar"] = "minecraft:firework_star";
    MinecraftItemTypes["FishingRod"] = "minecraft:fishing_rod";
    MinecraftItemTypes["FletchingTable"] = "minecraft:fletching_table";
    MinecraftItemTypes["Flint"] = "minecraft:flint";
    MinecraftItemTypes["FlintAndSteel"] = "minecraft:flint_and_steel";
    MinecraftItemTypes["FlowerBannerPattern"] = "minecraft:flower_banner_pattern";
    MinecraftItemTypes["FlowerPot"] = "minecraft:flower_pot";
    MinecraftItemTypes["FloweringAzalea"] = "minecraft:flowering_azalea";
    MinecraftItemTypes["FoxSpawnEgg"] = "minecraft:fox_spawn_egg";
    MinecraftItemTypes["Frame"] = "minecraft:frame";
    MinecraftItemTypes["FriendPotterySherd"] = "minecraft:friend_pottery_sherd";
    MinecraftItemTypes["FrogSpawn"] = "minecraft:frog_spawn";
    MinecraftItemTypes["FrogSpawnEgg"] = "minecraft:frog_spawn_egg";
    MinecraftItemTypes["FrostedIce"] = "minecraft:frosted_ice";
    MinecraftItemTypes["Furnace"] = "minecraft:furnace";
    MinecraftItemTypes["GhastSpawnEgg"] = "minecraft:ghast_spawn_egg";
    MinecraftItemTypes["GhastTear"] = "minecraft:ghast_tear";
    MinecraftItemTypes["GildedBlackstone"] = "minecraft:gilded_blackstone";
    MinecraftItemTypes["Glass"] = "minecraft:glass";
    MinecraftItemTypes["GlassBottle"] = "minecraft:glass_bottle";
    MinecraftItemTypes["GlassPane"] = "minecraft:glass_pane";
    MinecraftItemTypes["GlisteringMelonSlice"] = "minecraft:glistering_melon_slice";
    MinecraftItemTypes["GlobeBannerPattern"] = "minecraft:globe_banner_pattern";
    MinecraftItemTypes["GlowBerries"] = "minecraft:glow_berries";
    MinecraftItemTypes["GlowFrame"] = "minecraft:glow_frame";
    MinecraftItemTypes["GlowInkSac"] = "minecraft:glow_ink_sac";
    MinecraftItemTypes["GlowLichen"] = "minecraft:glow_lichen";
    MinecraftItemTypes["GlowSquidSpawnEgg"] = "minecraft:glow_squid_spawn_egg";
    MinecraftItemTypes["Glowstone"] = "minecraft:glowstone";
    MinecraftItemTypes["GlowstoneDust"] = "minecraft:glowstone_dust";
    MinecraftItemTypes["GoatHorn"] = "minecraft:goat_horn";
    MinecraftItemTypes["GoatSpawnEgg"] = "minecraft:goat_spawn_egg";
    MinecraftItemTypes["GoldBlock"] = "minecraft:gold_block";
    MinecraftItemTypes["GoldIngot"] = "minecraft:gold_ingot";
    MinecraftItemTypes["GoldNugget"] = "minecraft:gold_nugget";
    MinecraftItemTypes["GoldOre"] = "minecraft:gold_ore";
    MinecraftItemTypes["GoldenApple"] = "minecraft:golden_apple";
    MinecraftItemTypes["GoldenAxe"] = "minecraft:golden_axe";
    MinecraftItemTypes["GoldenBoots"] = "minecraft:golden_boots";
    MinecraftItemTypes["GoldenCarrot"] = "minecraft:golden_carrot";
    MinecraftItemTypes["GoldenChestplate"] = "minecraft:golden_chestplate";
    MinecraftItemTypes["GoldenHelmet"] = "minecraft:golden_helmet";
    MinecraftItemTypes["GoldenHoe"] = "minecraft:golden_hoe";
    MinecraftItemTypes["GoldenHorseArmor"] = "minecraft:golden_horse_armor";
    MinecraftItemTypes["GoldenLeggings"] = "minecraft:golden_leggings";
    MinecraftItemTypes["GoldenPickaxe"] = "minecraft:golden_pickaxe";
    MinecraftItemTypes["GoldenRail"] = "minecraft:golden_rail";
    MinecraftItemTypes["GoldenShovel"] = "minecraft:golden_shovel";
    MinecraftItemTypes["GoldenSword"] = "minecraft:golden_sword";
    MinecraftItemTypes["GraniteStairs"] = "minecraft:granite_stairs";
    MinecraftItemTypes["Grass"] = "minecraft:grass";
    MinecraftItemTypes["GrassPath"] = "minecraft:grass_path";
    MinecraftItemTypes["Gravel"] = "minecraft:gravel";
    MinecraftItemTypes["GrayCandle"] = "minecraft:gray_candle";
    MinecraftItemTypes["GrayCarpet"] = "minecraft:gray_carpet";
    MinecraftItemTypes["GrayDye"] = "minecraft:gray_dye";
    MinecraftItemTypes["GrayGlazedTerracotta"] = "minecraft:gray_glazed_terracotta";
    MinecraftItemTypes["GrayShulkerBox"] = "minecraft:gray_shulker_box";
    MinecraftItemTypes["GrayWool"] = "minecraft:gray_wool";
    MinecraftItemTypes["GreenCandle"] = "minecraft:green_candle";
    MinecraftItemTypes["GreenCarpet"] = "minecraft:green_carpet";
    MinecraftItemTypes["GreenDye"] = "minecraft:green_dye";
    MinecraftItemTypes["GreenGlazedTerracotta"] = "minecraft:green_glazed_terracotta";
    MinecraftItemTypes["GreenShulkerBox"] = "minecraft:green_shulker_box";
    MinecraftItemTypes["GreenWool"] = "minecraft:green_wool";
    MinecraftItemTypes["Grindstone"] = "minecraft:grindstone";
    MinecraftItemTypes["GuardianSpawnEgg"] = "minecraft:guardian_spawn_egg";
    MinecraftItemTypes["Gunpowder"] = "minecraft:gunpowder";
    MinecraftItemTypes["HangingRoots"] = "minecraft:hanging_roots";
    MinecraftItemTypes["HardenedClay"] = "minecraft:hardened_clay";
    MinecraftItemTypes["HayBlock"] = "minecraft:hay_block";
    MinecraftItemTypes["HeartOfTheSea"] = "minecraft:heart_of_the_sea";
    MinecraftItemTypes["HeartPotterySherd"] = "minecraft:heart_pottery_sherd";
    MinecraftItemTypes["HeartbreakPotterySherd"] = "minecraft:heartbreak_pottery_sherd";
    MinecraftItemTypes["HeavyWeightedPressurePlate"] = "minecraft:heavy_weighted_pressure_plate";
    MinecraftItemTypes["HoglinSpawnEgg"] = "minecraft:hoglin_spawn_egg";
    MinecraftItemTypes["HoneyBlock"] = "minecraft:honey_block";
    MinecraftItemTypes["HoneyBottle"] = "minecraft:honey_bottle";
    MinecraftItemTypes["Honeycomb"] = "minecraft:honeycomb";
    MinecraftItemTypes["HoneycombBlock"] = "minecraft:honeycomb_block";
    MinecraftItemTypes["Hopper"] = "minecraft:hopper";
    MinecraftItemTypes["HopperMinecart"] = "minecraft:hopper_minecart";
    MinecraftItemTypes["HornCoral"] = "minecraft:horn_coral";
    MinecraftItemTypes["HorseSpawnEgg"] = "minecraft:horse_spawn_egg";
    MinecraftItemTypes["HostArmorTrimSmithingTemplate"] = "minecraft:host_armor_trim_smithing_template";
    MinecraftItemTypes["HowlPotterySherd"] = "minecraft:howl_pottery_sherd";
    MinecraftItemTypes["HuskSpawnEgg"] = "minecraft:husk_spawn_egg";
    MinecraftItemTypes["Ice"] = "minecraft:ice";
    MinecraftItemTypes["InfestedDeepslate"] = "minecraft:infested_deepslate";
    MinecraftItemTypes["InkSac"] = "minecraft:ink_sac";
    MinecraftItemTypes["IronAxe"] = "minecraft:iron_axe";
    MinecraftItemTypes["IronBars"] = "minecraft:iron_bars";
    MinecraftItemTypes["IronBlock"] = "minecraft:iron_block";
    MinecraftItemTypes["IronBoots"] = "minecraft:iron_boots";
    MinecraftItemTypes["IronChestplate"] = "minecraft:iron_chestplate";
    MinecraftItemTypes["IronDoor"] = "minecraft:iron_door";
    MinecraftItemTypes["IronGolemSpawnEgg"] = "minecraft:iron_golem_spawn_egg";
    MinecraftItemTypes["IronHelmet"] = "minecraft:iron_helmet";
    MinecraftItemTypes["IronHoe"] = "minecraft:iron_hoe";
    MinecraftItemTypes["IronHorseArmor"] = "minecraft:iron_horse_armor";
    MinecraftItemTypes["IronIngot"] = "minecraft:iron_ingot";
    MinecraftItemTypes["IronLeggings"] = "minecraft:iron_leggings";
    MinecraftItemTypes["IronNugget"] = "minecraft:iron_nugget";
    MinecraftItemTypes["IronOre"] = "minecraft:iron_ore";
    MinecraftItemTypes["IronPickaxe"] = "minecraft:iron_pickaxe";
    MinecraftItemTypes["IronShovel"] = "minecraft:iron_shovel";
    MinecraftItemTypes["IronSword"] = "minecraft:iron_sword";
    MinecraftItemTypes["IronTrapdoor"] = "minecraft:iron_trapdoor";
    MinecraftItemTypes["Jigsaw"] = "minecraft:jigsaw";
    MinecraftItemTypes["Jukebox"] = "minecraft:jukebox";
    MinecraftItemTypes["JungleBoat"] = "minecraft:jungle_boat";
    MinecraftItemTypes["JungleButton"] = "minecraft:jungle_button";
    MinecraftItemTypes["JungleChestBoat"] = "minecraft:jungle_chest_boat";
    MinecraftItemTypes["JungleDoor"] = "minecraft:jungle_door";
    MinecraftItemTypes["JungleFence"] = "minecraft:jungle_fence";
    MinecraftItemTypes["JungleFenceGate"] = "minecraft:jungle_fence_gate";
    MinecraftItemTypes["JungleHangingSign"] = "minecraft:jungle_hanging_sign";
    MinecraftItemTypes["JungleLog"] = "minecraft:jungle_log";
    MinecraftItemTypes["JunglePressurePlate"] = "minecraft:jungle_pressure_plate";
    MinecraftItemTypes["JungleSign"] = "minecraft:jungle_sign";
    MinecraftItemTypes["JungleStairs"] = "minecraft:jungle_stairs";
    MinecraftItemTypes["JungleTrapdoor"] = "minecraft:jungle_trapdoor";
    MinecraftItemTypes["Kelp"] = "minecraft:kelp";
    MinecraftItemTypes["Ladder"] = "minecraft:ladder";
    MinecraftItemTypes["Lantern"] = "minecraft:lantern";
    MinecraftItemTypes["LapisBlock"] = "minecraft:lapis_block";
    MinecraftItemTypes["LapisLazuli"] = "minecraft:lapis_lazuli";
    MinecraftItemTypes["LapisOre"] = "minecraft:lapis_ore";
    MinecraftItemTypes["LargeAmethystBud"] = "minecraft:large_amethyst_bud";
    MinecraftItemTypes["LavaBucket"] = "minecraft:lava_bucket";
    MinecraftItemTypes["Lead"] = "minecraft:lead";
    MinecraftItemTypes["Leather"] = "minecraft:leather";
    MinecraftItemTypes["LeatherBoots"] = "minecraft:leather_boots";
    MinecraftItemTypes["LeatherChestplate"] = "minecraft:leather_chestplate";
    MinecraftItemTypes["LeatherHelmet"] = "minecraft:leather_helmet";
    MinecraftItemTypes["LeatherHorseArmor"] = "minecraft:leather_horse_armor";
    MinecraftItemTypes["LeatherLeggings"] = "minecraft:leather_leggings";
    MinecraftItemTypes["Leaves"] = "minecraft:leaves";
    MinecraftItemTypes["Leaves2"] = "minecraft:leaves2";
    MinecraftItemTypes["Lectern"] = "minecraft:lectern";
    MinecraftItemTypes["Lever"] = "minecraft:lever";
    MinecraftItemTypes["LightBlock"] = "minecraft:light_block";
    MinecraftItemTypes["LightBlueCandle"] = "minecraft:light_blue_candle";
    MinecraftItemTypes["LightBlueCarpet"] = "minecraft:light_blue_carpet";
    MinecraftItemTypes["LightBlueDye"] = "minecraft:light_blue_dye";
    MinecraftItemTypes["LightBlueGlazedTerracotta"] = "minecraft:light_blue_glazed_terracotta";
    MinecraftItemTypes["LightBlueShulkerBox"] = "minecraft:light_blue_shulker_box";
    MinecraftItemTypes["LightBlueWool"] = "minecraft:light_blue_wool";
    MinecraftItemTypes["LightGrayCandle"] = "minecraft:light_gray_candle";
    MinecraftItemTypes["LightGrayCarpet"] = "minecraft:light_gray_carpet";
    MinecraftItemTypes["LightGrayDye"] = "minecraft:light_gray_dye";
    MinecraftItemTypes["LightGrayShulkerBox"] = "minecraft:light_gray_shulker_box";
    MinecraftItemTypes["LightGrayWool"] = "minecraft:light_gray_wool";
    MinecraftItemTypes["LightWeightedPressurePlate"] = "minecraft:light_weighted_pressure_plate";
    MinecraftItemTypes["LightningRod"] = "minecraft:lightning_rod";
    MinecraftItemTypes["LimeCandle"] = "minecraft:lime_candle";
    MinecraftItemTypes["LimeCarpet"] = "minecraft:lime_carpet";
    MinecraftItemTypes["LimeDye"] = "minecraft:lime_dye";
    MinecraftItemTypes["LimeGlazedTerracotta"] = "minecraft:lime_glazed_terracotta";
    MinecraftItemTypes["LimeShulkerBox"] = "minecraft:lime_shulker_box";
    MinecraftItemTypes["LimeWool"] = "minecraft:lime_wool";
    MinecraftItemTypes["LingeringPotion"] = "minecraft:lingering_potion";
    MinecraftItemTypes["LitPumpkin"] = "minecraft:lit_pumpkin";
    MinecraftItemTypes["LlamaSpawnEgg"] = "minecraft:llama_spawn_egg";
    MinecraftItemTypes["Lodestone"] = "minecraft:lodestone";
    MinecraftItemTypes["LodestoneCompass"] = "minecraft:lodestone_compass";
    MinecraftItemTypes["Log"] = "minecraft:log";
    MinecraftItemTypes["Log2"] = "minecraft:log2";
    MinecraftItemTypes["Loom"] = "minecraft:loom";
    MinecraftItemTypes["MagentaCandle"] = "minecraft:magenta_candle";
    MinecraftItemTypes["MagentaCarpet"] = "minecraft:magenta_carpet";
    MinecraftItemTypes["MagentaDye"] = "minecraft:magenta_dye";
    MinecraftItemTypes["MagentaGlazedTerracotta"] = "minecraft:magenta_glazed_terracotta";
    MinecraftItemTypes["MagentaShulkerBox"] = "minecraft:magenta_shulker_box";
    MinecraftItemTypes["MagentaWool"] = "minecraft:magenta_wool";
    MinecraftItemTypes["Magma"] = "minecraft:magma";
    MinecraftItemTypes["MagmaCream"] = "minecraft:magma_cream";
    MinecraftItemTypes["MagmaCubeSpawnEgg"] = "minecraft:magma_cube_spawn_egg";
    MinecraftItemTypes["MangroveBoat"] = "minecraft:mangrove_boat";
    MinecraftItemTypes["MangroveButton"] = "minecraft:mangrove_button";
    MinecraftItemTypes["MangroveChestBoat"] = "minecraft:mangrove_chest_boat";
    MinecraftItemTypes["MangroveDoor"] = "minecraft:mangrove_door";
    MinecraftItemTypes["MangroveFence"] = "minecraft:mangrove_fence";
    MinecraftItemTypes["MangroveFenceGate"] = "minecraft:mangrove_fence_gate";
    MinecraftItemTypes["MangroveHangingSign"] = "minecraft:mangrove_hanging_sign";
    MinecraftItemTypes["MangroveLeaves"] = "minecraft:mangrove_leaves";
    MinecraftItemTypes["MangroveLog"] = "minecraft:mangrove_log";
    MinecraftItemTypes["MangrovePlanks"] = "minecraft:mangrove_planks";
    MinecraftItemTypes["MangrovePressurePlate"] = "minecraft:mangrove_pressure_plate";
    MinecraftItemTypes["MangrovePropagule"] = "minecraft:mangrove_propagule";
    MinecraftItemTypes["MangroveRoots"] = "minecraft:mangrove_roots";
    MinecraftItemTypes["MangroveSign"] = "minecraft:mangrove_sign";
    MinecraftItemTypes["MangroveSlab"] = "minecraft:mangrove_slab";
    MinecraftItemTypes["MangroveStairs"] = "minecraft:mangrove_stairs";
    MinecraftItemTypes["MangroveTrapdoor"] = "minecraft:mangrove_trapdoor";
    MinecraftItemTypes["MangroveWood"] = "minecraft:mangrove_wood";
    MinecraftItemTypes["MediumAmethystBud"] = "minecraft:medium_amethyst_bud";
    MinecraftItemTypes["MelonBlock"] = "minecraft:melon_block";
    MinecraftItemTypes["MelonSeeds"] = "minecraft:melon_seeds";
    MinecraftItemTypes["MelonSlice"] = "minecraft:melon_slice";
    MinecraftItemTypes["MilkBucket"] = "minecraft:milk_bucket";
    MinecraftItemTypes["Minecart"] = "minecraft:minecart";
    MinecraftItemTypes["MinerPotterySherd"] = "minecraft:miner_pottery_sherd";
    MinecraftItemTypes["MobSpawner"] = "minecraft:mob_spawner";
    MinecraftItemTypes["MojangBannerPattern"] = "minecraft:mojang_banner_pattern";
    MinecraftItemTypes["MonsterEgg"] = "minecraft:monster_egg";
    MinecraftItemTypes["MooshroomSpawnEgg"] = "minecraft:mooshroom_spawn_egg";
    MinecraftItemTypes["MossBlock"] = "minecraft:moss_block";
    MinecraftItemTypes["MossCarpet"] = "minecraft:moss_carpet";
    MinecraftItemTypes["MossyCobblestone"] = "minecraft:mossy_cobblestone";
    MinecraftItemTypes["MossyCobblestoneStairs"] = "minecraft:mossy_cobblestone_stairs";
    MinecraftItemTypes["MossyStoneBrickStairs"] = "minecraft:mossy_stone_brick_stairs";
    MinecraftItemTypes["MournerPotterySherd"] = "minecraft:mourner_pottery_sherd";
    MinecraftItemTypes["Mud"] = "minecraft:mud";
    MinecraftItemTypes["MudBrickSlab"] = "minecraft:mud_brick_slab";
    MinecraftItemTypes["MudBrickStairs"] = "minecraft:mud_brick_stairs";
    MinecraftItemTypes["MudBrickWall"] = "minecraft:mud_brick_wall";
    MinecraftItemTypes["MudBricks"] = "minecraft:mud_bricks";
    MinecraftItemTypes["MuddyMangroveRoots"] = "minecraft:muddy_mangrove_roots";
    MinecraftItemTypes["MuleSpawnEgg"] = "minecraft:mule_spawn_egg";
    MinecraftItemTypes["MushroomStew"] = "minecraft:mushroom_stew";
    MinecraftItemTypes["MusicDisc11"] = "minecraft:music_disc_11";
    MinecraftItemTypes["MusicDisc13"] = "minecraft:music_disc_13";
    MinecraftItemTypes["MusicDisc5"] = "minecraft:music_disc_5";
    MinecraftItemTypes["MusicDiscBlocks"] = "minecraft:music_disc_blocks";
    MinecraftItemTypes["MusicDiscCat"] = "minecraft:music_disc_cat";
    MinecraftItemTypes["MusicDiscChirp"] = "minecraft:music_disc_chirp";
    MinecraftItemTypes["MusicDiscFar"] = "minecraft:music_disc_far";
    MinecraftItemTypes["MusicDiscMall"] = "minecraft:music_disc_mall";
    MinecraftItemTypes["MusicDiscMellohi"] = "minecraft:music_disc_mellohi";
    MinecraftItemTypes["MusicDiscOtherside"] = "minecraft:music_disc_otherside";
    MinecraftItemTypes["MusicDiscPigstep"] = "minecraft:music_disc_pigstep";
    MinecraftItemTypes["MusicDiscRelic"] = "minecraft:music_disc_relic";
    MinecraftItemTypes["MusicDiscStal"] = "minecraft:music_disc_stal";
    MinecraftItemTypes["MusicDiscStrad"] = "minecraft:music_disc_strad";
    MinecraftItemTypes["MusicDiscWait"] = "minecraft:music_disc_wait";
    MinecraftItemTypes["MusicDiscWard"] = "minecraft:music_disc_ward";
    MinecraftItemTypes["Mutton"] = "minecraft:mutton";
    MinecraftItemTypes["Mycelium"] = "minecraft:mycelium";
    MinecraftItemTypes["NameTag"] = "minecraft:name_tag";
    MinecraftItemTypes["NautilusShell"] = "minecraft:nautilus_shell";
    MinecraftItemTypes["NetherBrick"] = "minecraft:nether_brick";
    MinecraftItemTypes["NetherBrickFence"] = "minecraft:nether_brick_fence";
    MinecraftItemTypes["NetherBrickStairs"] = "minecraft:nether_brick_stairs";
    MinecraftItemTypes["NetherGoldOre"] = "minecraft:nether_gold_ore";
    MinecraftItemTypes["NetherSprouts"] = "minecraft:nether_sprouts";
    MinecraftItemTypes["NetherStar"] = "minecraft:nether_star";
    MinecraftItemTypes["NetherWart"] = "minecraft:nether_wart";
    MinecraftItemTypes["NetherWartBlock"] = "minecraft:nether_wart_block";
    MinecraftItemTypes["Netherbrick"] = "minecraft:netherbrick";
    MinecraftItemTypes["NetheriteAxe"] = "minecraft:netherite_axe";
    MinecraftItemTypes["NetheriteBlock"] = "minecraft:netherite_block";
    MinecraftItemTypes["NetheriteBoots"] = "minecraft:netherite_boots";
    MinecraftItemTypes["NetheriteChestplate"] = "minecraft:netherite_chestplate";
    MinecraftItemTypes["NetheriteHelmet"] = "minecraft:netherite_helmet";
    MinecraftItemTypes["NetheriteHoe"] = "minecraft:netherite_hoe";
    MinecraftItemTypes["NetheriteIngot"] = "minecraft:netherite_ingot";
    MinecraftItemTypes["NetheriteLeggings"] = "minecraft:netherite_leggings";
    MinecraftItemTypes["NetheritePickaxe"] = "minecraft:netherite_pickaxe";
    MinecraftItemTypes["NetheriteScrap"] = "minecraft:netherite_scrap";
    MinecraftItemTypes["NetheriteShovel"] = "minecraft:netherite_shovel";
    MinecraftItemTypes["NetheriteSword"] = "minecraft:netherite_sword";
    MinecraftItemTypes["NetheriteUpgradeSmithingTemplate"] = "minecraft:netherite_upgrade_smithing_template";
    MinecraftItemTypes["Netherrack"] = "minecraft:netherrack";
    MinecraftItemTypes["NormalStoneStairs"] = "minecraft:normal_stone_stairs";
    MinecraftItemTypes["Noteblock"] = "minecraft:noteblock";
    MinecraftItemTypes["OakBoat"] = "minecraft:oak_boat";
    MinecraftItemTypes["OakChestBoat"] = "minecraft:oak_chest_boat";
    MinecraftItemTypes["OakFence"] = "minecraft:oak_fence";
    MinecraftItemTypes["OakHangingSign"] = "minecraft:oak_hanging_sign";
    MinecraftItemTypes["OakLog"] = "minecraft:oak_log";
    MinecraftItemTypes["OakSign"] = "minecraft:oak_sign";
    MinecraftItemTypes["OakStairs"] = "minecraft:oak_stairs";
    MinecraftItemTypes["Observer"] = "minecraft:observer";
    MinecraftItemTypes["Obsidian"] = "minecraft:obsidian";
    MinecraftItemTypes["OcelotSpawnEgg"] = "minecraft:ocelot_spawn_egg";
    MinecraftItemTypes["OchreFroglight"] = "minecraft:ochre_froglight";
    MinecraftItemTypes["OrangeCandle"] = "minecraft:orange_candle";
    MinecraftItemTypes["OrangeCarpet"] = "minecraft:orange_carpet";
    MinecraftItemTypes["OrangeDye"] = "minecraft:orange_dye";
    MinecraftItemTypes["OrangeGlazedTerracotta"] = "minecraft:orange_glazed_terracotta";
    MinecraftItemTypes["OrangeShulkerBox"] = "minecraft:orange_shulker_box";
    MinecraftItemTypes["OrangeWool"] = "minecraft:orange_wool";
    MinecraftItemTypes["OxidizedCopper"] = "minecraft:oxidized_copper";
    MinecraftItemTypes["OxidizedCutCopper"] = "minecraft:oxidized_cut_copper";
    MinecraftItemTypes["OxidizedCutCopperSlab"] = "minecraft:oxidized_cut_copper_slab";
    MinecraftItemTypes["OxidizedCutCopperStairs"] = "minecraft:oxidized_cut_copper_stairs";
    MinecraftItemTypes["PackedIce"] = "minecraft:packed_ice";
    MinecraftItemTypes["PackedMud"] = "minecraft:packed_mud";
    MinecraftItemTypes["Painting"] = "minecraft:painting";
    MinecraftItemTypes["PandaSpawnEgg"] = "minecraft:panda_spawn_egg";
    MinecraftItemTypes["Paper"] = "minecraft:paper";
    MinecraftItemTypes["ParrotSpawnEgg"] = "minecraft:parrot_spawn_egg";
    MinecraftItemTypes["PearlescentFroglight"] = "minecraft:pearlescent_froglight";
    MinecraftItemTypes["PhantomMembrane"] = "minecraft:phantom_membrane";
    MinecraftItemTypes["PhantomSpawnEgg"] = "minecraft:phantom_spawn_egg";
    MinecraftItemTypes["PigSpawnEgg"] = "minecraft:pig_spawn_egg";
    MinecraftItemTypes["PiglinBannerPattern"] = "minecraft:piglin_banner_pattern";
    MinecraftItemTypes["PiglinBruteSpawnEgg"] = "minecraft:piglin_brute_spawn_egg";
    MinecraftItemTypes["PiglinSpawnEgg"] = "minecraft:piglin_spawn_egg";
    MinecraftItemTypes["PillagerSpawnEgg"] = "minecraft:pillager_spawn_egg";
    MinecraftItemTypes["PinkCandle"] = "minecraft:pink_candle";
    MinecraftItemTypes["PinkCarpet"] = "minecraft:pink_carpet";
    MinecraftItemTypes["PinkDye"] = "minecraft:pink_dye";
    MinecraftItemTypes["PinkGlazedTerracotta"] = "minecraft:pink_glazed_terracotta";
    MinecraftItemTypes["PinkPetals"] = "minecraft:pink_petals";
    MinecraftItemTypes["PinkShulkerBox"] = "minecraft:pink_shulker_box";
    MinecraftItemTypes["PinkWool"] = "minecraft:pink_wool";
    MinecraftItemTypes["Piston"] = "minecraft:piston";
    MinecraftItemTypes["PitcherPlant"] = "minecraft:pitcher_plant";
    MinecraftItemTypes["PitcherPod"] = "minecraft:pitcher_pod";
    MinecraftItemTypes["Planks"] = "minecraft:planks";
    MinecraftItemTypes["PlentyPotterySherd"] = "minecraft:plenty_pottery_sherd";
    MinecraftItemTypes["Podzol"] = "minecraft:podzol";
    MinecraftItemTypes["PointedDripstone"] = "minecraft:pointed_dripstone";
    MinecraftItemTypes["PoisonousPotato"] = "minecraft:poisonous_potato";
    MinecraftItemTypes["PolarBearSpawnEgg"] = "minecraft:polar_bear_spawn_egg";
    MinecraftItemTypes["PolishedAndesiteStairs"] = "minecraft:polished_andesite_stairs";
    MinecraftItemTypes["PolishedBasalt"] = "minecraft:polished_basalt";
    MinecraftItemTypes["PolishedBlackstone"] = "minecraft:polished_blackstone";
    MinecraftItemTypes["PolishedBlackstoneBrickSlab"] = "minecraft:polished_blackstone_brick_slab";
    MinecraftItemTypes["PolishedBlackstoneBrickStairs"] = "minecraft:polished_blackstone_brick_stairs";
    MinecraftItemTypes["PolishedBlackstoneBrickWall"] = "minecraft:polished_blackstone_brick_wall";
    MinecraftItemTypes["PolishedBlackstoneBricks"] = "minecraft:polished_blackstone_bricks";
    MinecraftItemTypes["PolishedBlackstoneButton"] = "minecraft:polished_blackstone_button";
    MinecraftItemTypes["PolishedBlackstonePressurePlate"] = "minecraft:polished_blackstone_pressure_plate";
    MinecraftItemTypes["PolishedBlackstoneSlab"] = "minecraft:polished_blackstone_slab";
    MinecraftItemTypes["PolishedBlackstoneStairs"] = "minecraft:polished_blackstone_stairs";
    MinecraftItemTypes["PolishedBlackstoneWall"] = "minecraft:polished_blackstone_wall";
    MinecraftItemTypes["PolishedDeepslate"] = "minecraft:polished_deepslate";
    MinecraftItemTypes["PolishedDeepslateSlab"] = "minecraft:polished_deepslate_slab";
    MinecraftItemTypes["PolishedDeepslateStairs"] = "minecraft:polished_deepslate_stairs";
    MinecraftItemTypes["PolishedDeepslateWall"] = "minecraft:polished_deepslate_wall";
    MinecraftItemTypes["PolishedDioriteStairs"] = "minecraft:polished_diorite_stairs";
    MinecraftItemTypes["PolishedGraniteStairs"] = "minecraft:polished_granite_stairs";
    MinecraftItemTypes["PoppedChorusFruit"] = "minecraft:popped_chorus_fruit";
    MinecraftItemTypes["Porkchop"] = "minecraft:porkchop";
    MinecraftItemTypes["Potato"] = "minecraft:potato";
    MinecraftItemTypes["Potion"] = "minecraft:potion";
    MinecraftItemTypes["PowderSnowBucket"] = "minecraft:powder_snow_bucket";
    MinecraftItemTypes["Prismarine"] = "minecraft:prismarine";
    MinecraftItemTypes["PrismarineBricksStairs"] = "minecraft:prismarine_bricks_stairs";
    MinecraftItemTypes["PrismarineCrystals"] = "minecraft:prismarine_crystals";
    MinecraftItemTypes["PrismarineShard"] = "minecraft:prismarine_shard";
    MinecraftItemTypes["PrismarineStairs"] = "minecraft:prismarine_stairs";
    MinecraftItemTypes["PrizePotterySherd"] = "minecraft:prize_pottery_sherd";
    MinecraftItemTypes["Pufferfish"] = "minecraft:pufferfish";
    MinecraftItemTypes["PufferfishBucket"] = "minecraft:pufferfish_bucket";
    MinecraftItemTypes["PufferfishSpawnEgg"] = "minecraft:pufferfish_spawn_egg";
    MinecraftItemTypes["Pumpkin"] = "minecraft:pumpkin";
    MinecraftItemTypes["PumpkinPie"] = "minecraft:pumpkin_pie";
    MinecraftItemTypes["PumpkinSeeds"] = "minecraft:pumpkin_seeds";
    MinecraftItemTypes["PurpleCandle"] = "minecraft:purple_candle";
    MinecraftItemTypes["PurpleCarpet"] = "minecraft:purple_carpet";
    MinecraftItemTypes["PurpleDye"] = "minecraft:purple_dye";
    MinecraftItemTypes["PurpleGlazedTerracotta"] = "minecraft:purple_glazed_terracotta";
    MinecraftItemTypes["PurpleShulkerBox"] = "minecraft:purple_shulker_box";
    MinecraftItemTypes["PurpleWool"] = "minecraft:purple_wool";
    MinecraftItemTypes["PurpurBlock"] = "minecraft:purpur_block";
    MinecraftItemTypes["PurpurStairs"] = "minecraft:purpur_stairs";
    MinecraftItemTypes["Quartz"] = "minecraft:quartz";
    MinecraftItemTypes["QuartzBlock"] = "minecraft:quartz_block";
    MinecraftItemTypes["QuartzBricks"] = "minecraft:quartz_bricks";
    MinecraftItemTypes["QuartzOre"] = "minecraft:quartz_ore";
    MinecraftItemTypes["QuartzStairs"] = "minecraft:quartz_stairs";
    MinecraftItemTypes["Rabbit"] = "minecraft:rabbit";
    MinecraftItemTypes["RabbitFoot"] = "minecraft:rabbit_foot";
    MinecraftItemTypes["RabbitHide"] = "minecraft:rabbit_hide";
    MinecraftItemTypes["RabbitSpawnEgg"] = "minecraft:rabbit_spawn_egg";
    MinecraftItemTypes["RabbitStew"] = "minecraft:rabbit_stew";
    MinecraftItemTypes["Rail"] = "minecraft:rail";
    MinecraftItemTypes["RaiserArmorTrimSmithingTemplate"] = "minecraft:raiser_armor_trim_smithing_template";
    MinecraftItemTypes["RavagerSpawnEgg"] = "minecraft:ravager_spawn_egg";
    MinecraftItemTypes["RawCopper"] = "minecraft:raw_copper";
    MinecraftItemTypes["RawCopperBlock"] = "minecraft:raw_copper_block";
    MinecraftItemTypes["RawGold"] = "minecraft:raw_gold";
    MinecraftItemTypes["RawGoldBlock"] = "minecraft:raw_gold_block";
    MinecraftItemTypes["RawIron"] = "minecraft:raw_iron";
    MinecraftItemTypes["RawIronBlock"] = "minecraft:raw_iron_block";
    MinecraftItemTypes["RecoveryCompass"] = "minecraft:recovery_compass";
    MinecraftItemTypes["RedCandle"] = "minecraft:red_candle";
    MinecraftItemTypes["RedCarpet"] = "minecraft:red_carpet";
    MinecraftItemTypes["RedDye"] = "minecraft:red_dye";
    MinecraftItemTypes["RedFlower"] = "minecraft:red_flower";
    MinecraftItemTypes["RedGlazedTerracotta"] = "minecraft:red_glazed_terracotta";
    MinecraftItemTypes["RedMushroom"] = "minecraft:red_mushroom";
    MinecraftItemTypes["RedMushroomBlock"] = "minecraft:red_mushroom_block";
    MinecraftItemTypes["RedNetherBrick"] = "minecraft:red_nether_brick";
    MinecraftItemTypes["RedNetherBrickStairs"] = "minecraft:red_nether_brick_stairs";
    MinecraftItemTypes["RedSandstone"] = "minecraft:red_sandstone";
    MinecraftItemTypes["RedSandstoneStairs"] = "minecraft:red_sandstone_stairs";
    MinecraftItemTypes["RedShulkerBox"] = "minecraft:red_shulker_box";
    MinecraftItemTypes["RedWool"] = "minecraft:red_wool";
    MinecraftItemTypes["Redstone"] = "minecraft:redstone";
    MinecraftItemTypes["RedstoneBlock"] = "minecraft:redstone_block";
    MinecraftItemTypes["RedstoneLamp"] = "minecraft:redstone_lamp";
    MinecraftItemTypes["RedstoneOre"] = "minecraft:redstone_ore";
    MinecraftItemTypes["RedstoneTorch"] = "minecraft:redstone_torch";
    MinecraftItemTypes["ReinforcedDeepslate"] = "minecraft:reinforced_deepslate";
    MinecraftItemTypes["Repeater"] = "minecraft:repeater";
    MinecraftItemTypes["RepeatingCommandBlock"] = "minecraft:repeating_command_block";
    MinecraftItemTypes["RespawnAnchor"] = "minecraft:respawn_anchor";
    MinecraftItemTypes["RibArmorTrimSmithingTemplate"] = "minecraft:rib_armor_trim_smithing_template";
    MinecraftItemTypes["RottenFlesh"] = "minecraft:rotten_flesh";
    MinecraftItemTypes["Saddle"] = "minecraft:saddle";
    MinecraftItemTypes["Salmon"] = "minecraft:salmon";
    MinecraftItemTypes["SalmonBucket"] = "minecraft:salmon_bucket";
    MinecraftItemTypes["SalmonSpawnEgg"] = "minecraft:salmon_spawn_egg";
    MinecraftItemTypes["Sand"] = "minecraft:sand";
    MinecraftItemTypes["Sandstone"] = "minecraft:sandstone";
    MinecraftItemTypes["SandstoneStairs"] = "minecraft:sandstone_stairs";
    MinecraftItemTypes["Sapling"] = "minecraft:sapling";
    MinecraftItemTypes["Scaffolding"] = "minecraft:scaffolding";
    MinecraftItemTypes["Sculk"] = "minecraft:sculk";
    MinecraftItemTypes["SculkCatalyst"] = "minecraft:sculk_catalyst";
    MinecraftItemTypes["SculkSensor"] = "minecraft:sculk_sensor";
    MinecraftItemTypes["SculkShrieker"] = "minecraft:sculk_shrieker";
    MinecraftItemTypes["SculkVein"] = "minecraft:sculk_vein";
    MinecraftItemTypes["Scute"] = "minecraft:scute";
    MinecraftItemTypes["SeaLantern"] = "minecraft:sea_lantern";
    MinecraftItemTypes["SeaPickle"] = "minecraft:sea_pickle";
    MinecraftItemTypes["Seagrass"] = "minecraft:seagrass";
    MinecraftItemTypes["SentryArmorTrimSmithingTemplate"] = "minecraft:sentry_armor_trim_smithing_template";
    MinecraftItemTypes["ShaperArmorTrimSmithingTemplate"] = "minecraft:shaper_armor_trim_smithing_template";
    MinecraftItemTypes["SheafPotterySherd"] = "minecraft:sheaf_pottery_sherd";
    MinecraftItemTypes["Shears"] = "minecraft:shears";
    MinecraftItemTypes["SheepSpawnEgg"] = "minecraft:sheep_spawn_egg";
    MinecraftItemTypes["ShelterPotterySherd"] = "minecraft:shelter_pottery_sherd";
    MinecraftItemTypes["Shield"] = "minecraft:shield";
    MinecraftItemTypes["Shroomlight"] = "minecraft:shroomlight";
    MinecraftItemTypes["ShulkerBox"] = "minecraft:shulker_box";
    MinecraftItemTypes["ShulkerShell"] = "minecraft:shulker_shell";
    MinecraftItemTypes["ShulkerSpawnEgg"] = "minecraft:shulker_spawn_egg";
    MinecraftItemTypes["SilenceArmorTrimSmithingTemplate"] = "minecraft:silence_armor_trim_smithing_template";
    MinecraftItemTypes["SilverGlazedTerracotta"] = "minecraft:silver_glazed_terracotta";
    MinecraftItemTypes["SilverfishSpawnEgg"] = "minecraft:silverfish_spawn_egg";
    MinecraftItemTypes["SkeletonHorseSpawnEgg"] = "minecraft:skeleton_horse_spawn_egg";
    MinecraftItemTypes["SkeletonSpawnEgg"] = "minecraft:skeleton_spawn_egg";
    MinecraftItemTypes["Skull"] = "minecraft:skull";
    MinecraftItemTypes["SkullBannerPattern"] = "minecraft:skull_banner_pattern";
    MinecraftItemTypes["SkullPotterySherd"] = "minecraft:skull_pottery_sherd";
    MinecraftItemTypes["Slime"] = "minecraft:slime";
    MinecraftItemTypes["SlimeBall"] = "minecraft:slime_ball";
    MinecraftItemTypes["SlimeSpawnEgg"] = "minecraft:slime_spawn_egg";
    MinecraftItemTypes["SmallAmethystBud"] = "minecraft:small_amethyst_bud";
    MinecraftItemTypes["SmallDripleafBlock"] = "minecraft:small_dripleaf_block";
    MinecraftItemTypes["SmithingTable"] = "minecraft:smithing_table";
    MinecraftItemTypes["Smoker"] = "minecraft:smoker";
    MinecraftItemTypes["SmoothBasalt"] = "minecraft:smooth_basalt";
    MinecraftItemTypes["SmoothQuartzStairs"] = "minecraft:smooth_quartz_stairs";
    MinecraftItemTypes["SmoothRedSandstoneStairs"] = "minecraft:smooth_red_sandstone_stairs";
    MinecraftItemTypes["SmoothSandstoneStairs"] = "minecraft:smooth_sandstone_stairs";
    MinecraftItemTypes["SmoothStone"] = "minecraft:smooth_stone";
    MinecraftItemTypes["SnifferEgg"] = "minecraft:sniffer_egg";
    MinecraftItemTypes["SnifferSpawnEgg"] = "minecraft:sniffer_spawn_egg";
    MinecraftItemTypes["SnortPotterySherd"] = "minecraft:snort_pottery_sherd";
    MinecraftItemTypes["SnoutArmorTrimSmithingTemplate"] = "minecraft:snout_armor_trim_smithing_template";
    MinecraftItemTypes["Snow"] = "minecraft:snow";
    MinecraftItemTypes["SnowGolemSpawnEgg"] = "minecraft:snow_golem_spawn_egg";
    MinecraftItemTypes["SnowLayer"] = "minecraft:snow_layer";
    MinecraftItemTypes["Snowball"] = "minecraft:snowball";
    MinecraftItemTypes["SoulCampfire"] = "minecraft:soul_campfire";
    MinecraftItemTypes["SoulLantern"] = "minecraft:soul_lantern";
    MinecraftItemTypes["SoulSand"] = "minecraft:soul_sand";
    MinecraftItemTypes["SoulSoil"] = "minecraft:soul_soil";
    MinecraftItemTypes["SoulTorch"] = "minecraft:soul_torch";
    MinecraftItemTypes["SpawnEgg"] = "minecraft:spawn_egg";
    MinecraftItemTypes["SpiderEye"] = "minecraft:spider_eye";
    MinecraftItemTypes["SpiderSpawnEgg"] = "minecraft:spider_spawn_egg";
    MinecraftItemTypes["SpireArmorTrimSmithingTemplate"] = "minecraft:spire_armor_trim_smithing_template";
    MinecraftItemTypes["SplashPotion"] = "minecraft:splash_potion";
    MinecraftItemTypes["Sponge"] = "minecraft:sponge";
    MinecraftItemTypes["SporeBlossom"] = "minecraft:spore_blossom";
    MinecraftItemTypes["SpruceBoat"] = "minecraft:spruce_boat";
    MinecraftItemTypes["SpruceButton"] = "minecraft:spruce_button";
    MinecraftItemTypes["SpruceChestBoat"] = "minecraft:spruce_chest_boat";
    MinecraftItemTypes["SpruceDoor"] = "minecraft:spruce_door";
    MinecraftItemTypes["SpruceFence"] = "minecraft:spruce_fence";
    MinecraftItemTypes["SpruceFenceGate"] = "minecraft:spruce_fence_gate";
    MinecraftItemTypes["SpruceHangingSign"] = "minecraft:spruce_hanging_sign";
    MinecraftItemTypes["SpruceLog"] = "minecraft:spruce_log";
    MinecraftItemTypes["SprucePressurePlate"] = "minecraft:spruce_pressure_plate";
    MinecraftItemTypes["SpruceSign"] = "minecraft:spruce_sign";
    MinecraftItemTypes["SpruceStairs"] = "minecraft:spruce_stairs";
    MinecraftItemTypes["SpruceTrapdoor"] = "minecraft:spruce_trapdoor";
    MinecraftItemTypes["Spyglass"] = "minecraft:spyglass";
    MinecraftItemTypes["SquidSpawnEgg"] = "minecraft:squid_spawn_egg";
    MinecraftItemTypes["StainedGlass"] = "minecraft:stained_glass";
    MinecraftItemTypes["StainedGlassPane"] = "minecraft:stained_glass_pane";
    MinecraftItemTypes["StainedHardenedClay"] = "minecraft:stained_hardened_clay";
    MinecraftItemTypes["Stick"] = "minecraft:stick";
    MinecraftItemTypes["StickyPiston"] = "minecraft:sticky_piston";
    MinecraftItemTypes["Stone"] = "minecraft:stone";
    MinecraftItemTypes["StoneAxe"] = "minecraft:stone_axe";
    MinecraftItemTypes["StoneBlockSlab"] = "minecraft:stone_block_slab";
    MinecraftItemTypes["StoneBlockSlab2"] = "minecraft:stone_block_slab2";
    MinecraftItemTypes["StoneBlockSlab3"] = "minecraft:stone_block_slab3";
    MinecraftItemTypes["StoneBlockSlab4"] = "minecraft:stone_block_slab4";
    MinecraftItemTypes["StoneBrickStairs"] = "minecraft:stone_brick_stairs";
    MinecraftItemTypes["StoneButton"] = "minecraft:stone_button";
    MinecraftItemTypes["StoneHoe"] = "minecraft:stone_hoe";
    MinecraftItemTypes["StonePickaxe"] = "minecraft:stone_pickaxe";
    MinecraftItemTypes["StonePressurePlate"] = "minecraft:stone_pressure_plate";
    MinecraftItemTypes["StoneShovel"] = "minecraft:stone_shovel";
    MinecraftItemTypes["StoneStairs"] = "minecraft:stone_stairs";
    MinecraftItemTypes["StoneSword"] = "minecraft:stone_sword";
    MinecraftItemTypes["Stonebrick"] = "minecraft:stonebrick";
    MinecraftItemTypes["StonecutterBlock"] = "minecraft:stonecutter_block";
    MinecraftItemTypes["StraySpawnEgg"] = "minecraft:stray_spawn_egg";
    MinecraftItemTypes["StriderSpawnEgg"] = "minecraft:strider_spawn_egg";
    MinecraftItemTypes["String"] = "minecraft:string";
    MinecraftItemTypes["StrippedAcaciaLog"] = "minecraft:stripped_acacia_log";
    MinecraftItemTypes["StrippedBambooBlock"] = "minecraft:stripped_bamboo_block";
    MinecraftItemTypes["StrippedBirchLog"] = "minecraft:stripped_birch_log";
    MinecraftItemTypes["StrippedCherryLog"] = "minecraft:stripped_cherry_log";
    MinecraftItemTypes["StrippedCherryWood"] = "minecraft:stripped_cherry_wood";
    MinecraftItemTypes["StrippedCrimsonHyphae"] = "minecraft:stripped_crimson_hyphae";
    MinecraftItemTypes["StrippedCrimsonStem"] = "minecraft:stripped_crimson_stem";
    MinecraftItemTypes["StrippedDarkOakLog"] = "minecraft:stripped_dark_oak_log";
    MinecraftItemTypes["StrippedJungleLog"] = "minecraft:stripped_jungle_log";
    MinecraftItemTypes["StrippedMangroveLog"] = "minecraft:stripped_mangrove_log";
    MinecraftItemTypes["StrippedMangroveWood"] = "minecraft:stripped_mangrove_wood";
    MinecraftItemTypes["StrippedOakLog"] = "minecraft:stripped_oak_log";
    MinecraftItemTypes["StrippedSpruceLog"] = "minecraft:stripped_spruce_log";
    MinecraftItemTypes["StrippedWarpedHyphae"] = "minecraft:stripped_warped_hyphae";
    MinecraftItemTypes["StrippedWarpedStem"] = "minecraft:stripped_warped_stem";
    MinecraftItemTypes["StructureBlock"] = "minecraft:structure_block";
    MinecraftItemTypes["StructureVoid"] = "minecraft:structure_void";
    MinecraftItemTypes["Sugar"] = "minecraft:sugar";
    MinecraftItemTypes["SugarCane"] = "minecraft:sugar_cane";
    MinecraftItemTypes["SuspiciousGravel"] = "minecraft:suspicious_gravel";
    MinecraftItemTypes["SuspiciousSand"] = "minecraft:suspicious_sand";
    MinecraftItemTypes["SuspiciousStew"] = "minecraft:suspicious_stew";
    MinecraftItemTypes["SweetBerries"] = "minecraft:sweet_berries";
    MinecraftItemTypes["TadpoleBucket"] = "minecraft:tadpole_bucket";
    MinecraftItemTypes["TadpoleSpawnEgg"] = "minecraft:tadpole_spawn_egg";
    MinecraftItemTypes["Tallgrass"] = "minecraft:tallgrass";
    MinecraftItemTypes["Target"] = "minecraft:target";
    MinecraftItemTypes["TideArmorTrimSmithingTemplate"] = "minecraft:tide_armor_trim_smithing_template";
    MinecraftItemTypes["TintedGlass"] = "minecraft:tinted_glass";
    MinecraftItemTypes["Tnt"] = "minecraft:tnt";
    MinecraftItemTypes["TntMinecart"] = "minecraft:tnt_minecart";
    MinecraftItemTypes["Torch"] = "minecraft:torch";
    MinecraftItemTypes["Torchflower"] = "minecraft:torchflower";
    MinecraftItemTypes["TorchflowerSeeds"] = "minecraft:torchflower_seeds";
    MinecraftItemTypes["TotemOfUndying"] = "minecraft:totem_of_undying";
    MinecraftItemTypes["TraderLlamaSpawnEgg"] = "minecraft:trader_llama_spawn_egg";
    MinecraftItemTypes["Trapdoor"] = "minecraft:trapdoor";
    MinecraftItemTypes["TrappedChest"] = "minecraft:trapped_chest";
    MinecraftItemTypes["Trident"] = "minecraft:trident";
    MinecraftItemTypes["TripwireHook"] = "minecraft:tripwire_hook";
    MinecraftItemTypes["TropicalFish"] = "minecraft:tropical_fish";
    MinecraftItemTypes["TropicalFishBucket"] = "minecraft:tropical_fish_bucket";
    MinecraftItemTypes["TropicalFishSpawnEgg"] = "minecraft:tropical_fish_spawn_egg";
    MinecraftItemTypes["TubeCoral"] = "minecraft:tube_coral";
    MinecraftItemTypes["Tuff"] = "minecraft:tuff";
    MinecraftItemTypes["TurtleEgg"] = "minecraft:turtle_egg";
    MinecraftItemTypes["TurtleHelmet"] = "minecraft:turtle_helmet";
    MinecraftItemTypes["TurtleSpawnEgg"] = "minecraft:turtle_spawn_egg";
    MinecraftItemTypes["TwistingVines"] = "minecraft:twisting_vines";
    MinecraftItemTypes["UndyedShulkerBox"] = "minecraft:undyed_shulker_box";
    MinecraftItemTypes["VerdantFroglight"] = "minecraft:verdant_froglight";
    MinecraftItemTypes["VexArmorTrimSmithingTemplate"] = "minecraft:vex_armor_trim_smithing_template";
    MinecraftItemTypes["VexSpawnEgg"] = "minecraft:vex_spawn_egg";
    MinecraftItemTypes["VillagerSpawnEgg"] = "minecraft:villager_spawn_egg";
    MinecraftItemTypes["VindicatorSpawnEgg"] = "minecraft:vindicator_spawn_egg";
    MinecraftItemTypes["Vine"] = "minecraft:vine";
    MinecraftItemTypes["WanderingTraderSpawnEgg"] = "minecraft:wandering_trader_spawn_egg";
    MinecraftItemTypes["WardArmorTrimSmithingTemplate"] = "minecraft:ward_armor_trim_smithing_template";
    MinecraftItemTypes["WardenSpawnEgg"] = "minecraft:warden_spawn_egg";
    MinecraftItemTypes["WarpedButton"] = "minecraft:warped_button";
    MinecraftItemTypes["WarpedDoor"] = "minecraft:warped_door";
    MinecraftItemTypes["WarpedFence"] = "minecraft:warped_fence";
    MinecraftItemTypes["WarpedFenceGate"] = "minecraft:warped_fence_gate";
    MinecraftItemTypes["WarpedFungus"] = "minecraft:warped_fungus";
    MinecraftItemTypes["WarpedFungusOnAStick"] = "minecraft:warped_fungus_on_a_stick";
    MinecraftItemTypes["WarpedHangingSign"] = "minecraft:warped_hanging_sign";
    MinecraftItemTypes["WarpedHyphae"] = "minecraft:warped_hyphae";
    MinecraftItemTypes["WarpedNylium"] = "minecraft:warped_nylium";
    MinecraftItemTypes["WarpedPlanks"] = "minecraft:warped_planks";
    MinecraftItemTypes["WarpedPressurePlate"] = "minecraft:warped_pressure_plate";
    MinecraftItemTypes["WarpedRoots"] = "minecraft:warped_roots";
    MinecraftItemTypes["WarpedSign"] = "minecraft:warped_sign";
    MinecraftItemTypes["WarpedSlab"] = "minecraft:warped_slab";
    MinecraftItemTypes["WarpedStairs"] = "minecraft:warped_stairs";
    MinecraftItemTypes["WarpedStem"] = "minecraft:warped_stem";
    MinecraftItemTypes["WarpedTrapdoor"] = "minecraft:warped_trapdoor";
    MinecraftItemTypes["WarpedWartBlock"] = "minecraft:warped_wart_block";
    MinecraftItemTypes["WaterBucket"] = "minecraft:water_bucket";
    MinecraftItemTypes["Waterlily"] = "minecraft:waterlily";
    MinecraftItemTypes["WaxedCopper"] = "minecraft:waxed_copper";
    MinecraftItemTypes["WaxedCutCopper"] = "minecraft:waxed_cut_copper";
    MinecraftItemTypes["WaxedCutCopperSlab"] = "minecraft:waxed_cut_copper_slab";
    MinecraftItemTypes["WaxedCutCopperStairs"] = "minecraft:waxed_cut_copper_stairs";
    MinecraftItemTypes["WaxedExposedCopper"] = "minecraft:waxed_exposed_copper";
    MinecraftItemTypes["WaxedExposedCutCopper"] = "minecraft:waxed_exposed_cut_copper";
    MinecraftItemTypes["WaxedExposedCutCopperSlab"] = "minecraft:waxed_exposed_cut_copper_slab";
    MinecraftItemTypes["WaxedExposedCutCopperStairs"] = "minecraft:waxed_exposed_cut_copper_stairs";
    MinecraftItemTypes["WaxedOxidizedCopper"] = "minecraft:waxed_oxidized_copper";
    MinecraftItemTypes["WaxedOxidizedCutCopper"] = "minecraft:waxed_oxidized_cut_copper";
    MinecraftItemTypes["WaxedOxidizedCutCopperSlab"] = "minecraft:waxed_oxidized_cut_copper_slab";
    MinecraftItemTypes["WaxedOxidizedCutCopperStairs"] = "minecraft:waxed_oxidized_cut_copper_stairs";
    MinecraftItemTypes["WaxedWeatheredCopper"] = "minecraft:waxed_weathered_copper";
    MinecraftItemTypes["WaxedWeatheredCutCopper"] = "minecraft:waxed_weathered_cut_copper";
    MinecraftItemTypes["WaxedWeatheredCutCopperSlab"] = "minecraft:waxed_weathered_cut_copper_slab";
    MinecraftItemTypes["WaxedWeatheredCutCopperStairs"] = "minecraft:waxed_weathered_cut_copper_stairs";
    MinecraftItemTypes["WayfinderArmorTrimSmithingTemplate"] = "minecraft:wayfinder_armor_trim_smithing_template";
    MinecraftItemTypes["WeatheredCopper"] = "minecraft:weathered_copper";
    MinecraftItemTypes["WeatheredCutCopper"] = "minecraft:weathered_cut_copper";
    MinecraftItemTypes["WeatheredCutCopperSlab"] = "minecraft:weathered_cut_copper_slab";
    MinecraftItemTypes["WeatheredCutCopperStairs"] = "minecraft:weathered_cut_copper_stairs";
    MinecraftItemTypes["Web"] = "minecraft:web";
    MinecraftItemTypes["WeepingVines"] = "minecraft:weeping_vines";
    MinecraftItemTypes["Wheat"] = "minecraft:wheat";
    MinecraftItemTypes["WheatSeeds"] = "minecraft:wheat_seeds";
    MinecraftItemTypes["WhiteCandle"] = "minecraft:white_candle";
    MinecraftItemTypes["WhiteCarpet"] = "minecraft:white_carpet";
    MinecraftItemTypes["WhiteDye"] = "minecraft:white_dye";
    MinecraftItemTypes["WhiteGlazedTerracotta"] = "minecraft:white_glazed_terracotta";
    MinecraftItemTypes["WhiteShulkerBox"] = "minecraft:white_shulker_box";
    MinecraftItemTypes["WhiteWool"] = "minecraft:white_wool";
    MinecraftItemTypes["WildArmorTrimSmithingTemplate"] = "minecraft:wild_armor_trim_smithing_template";
    MinecraftItemTypes["WitchSpawnEgg"] = "minecraft:witch_spawn_egg";
    MinecraftItemTypes["WitherRose"] = "minecraft:wither_rose";
    MinecraftItemTypes["WitherSkeletonSpawnEgg"] = "minecraft:wither_skeleton_spawn_egg";
    MinecraftItemTypes["WitherSpawnEgg"] = "minecraft:wither_spawn_egg";
    MinecraftItemTypes["WolfSpawnEgg"] = "minecraft:wolf_spawn_egg";
    MinecraftItemTypes["Wood"] = "minecraft:wood";
    MinecraftItemTypes["WoodenAxe"] = "minecraft:wooden_axe";
    MinecraftItemTypes["WoodenButton"] = "minecraft:wooden_button";
    MinecraftItemTypes["WoodenDoor"] = "minecraft:wooden_door";
    MinecraftItemTypes["WoodenHoe"] = "minecraft:wooden_hoe";
    MinecraftItemTypes["WoodenPickaxe"] = "minecraft:wooden_pickaxe";
    MinecraftItemTypes["WoodenPressurePlate"] = "minecraft:wooden_pressure_plate";
    MinecraftItemTypes["WoodenShovel"] = "minecraft:wooden_shovel";
    MinecraftItemTypes["WoodenSlab"] = "minecraft:wooden_slab";
    MinecraftItemTypes["WoodenSword"] = "minecraft:wooden_sword";
    MinecraftItemTypes["Wool"] = "minecraft:wool";
    MinecraftItemTypes["WritableBook"] = "minecraft:writable_book";
    MinecraftItemTypes["YellowCandle"] = "minecraft:yellow_candle";
    MinecraftItemTypes["YellowCarpet"] = "minecraft:yellow_carpet";
    MinecraftItemTypes["YellowDye"] = "minecraft:yellow_dye";
    MinecraftItemTypes["YellowFlower"] = "minecraft:yellow_flower";
    MinecraftItemTypes["YellowGlazedTerracotta"] = "minecraft:yellow_glazed_terracotta";
    MinecraftItemTypes["YellowShulkerBox"] = "minecraft:yellow_shulker_box";
    MinecraftItemTypes["YellowWool"] = "minecraft:yellow_wool";
    MinecraftItemTypes["ZoglinSpawnEgg"] = "minecraft:zoglin_spawn_egg";
    MinecraftItemTypes["ZombieHorseSpawnEgg"] = "minecraft:zombie_horse_spawn_egg";
    MinecraftItemTypes["ZombiePigmanSpawnEgg"] = "minecraft:zombie_pigman_spawn_egg";
    MinecraftItemTypes["ZombieSpawnEgg"] = "minecraft:zombie_spawn_egg";
    MinecraftItemTypes["ZombieVillagerSpawnEgg"] = "minecraft:zombie_villager_spawn_egg";
})(MinecraftItemTypes || (MinecraftItemTypes = {}));
